#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xa1fb4140, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x1fe18a08, "_gpl");
SYMBOL_CRC(ahci_ops, 0x65181849, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xee8c915d, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x8f084a3b, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x9a673d54, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x1e5ef75c, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x84c28be3, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x3f6b818d, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x91b55f81, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x14b1ba7e, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xe353a605, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x4a66e007, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x39a0cf0a, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x645259bf, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xe0fd5d6b, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x9794ac52, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xe8f18394, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x37c3f598, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x82a5ba59, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x0aeb09a4, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x7527725d, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x48f445a1, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x5a52be9c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xb0799342, "ata_std_qc_defer" },
	{ 0xe24ea1e1, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0xbef0d3a0, "ata_port_classify" },
	{ 0xfc5dd807, "ata_qc_complete_multiple" },
	{ 0x926c0ef8, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2432026e, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x977e4861, "ata_host_start" },
	{ 0x861e08ed, "devm_request_threaded_irq" },
	{ 0x35d6c3ff, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9531da82, "ata_host_register" },
	{ 0x9bcb7e5e, "ata_host_activate" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x7e763169, "ata_dummy_port_ops" },
	{ 0x92233855, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x90323500, "devm_kmalloc" },
	{ 0xf1d56298, "dmam_alloc_attrs" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x32393cd0, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x3d63af82, "sata_link_hardreset" },
	{ 0x85ee0be0, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd3d1d9a6, "ata_ehi_clear_desc" },
	{ 0xba8c57bf, "ata_ehi_push_desc" },
	{ 0xb36b1b24, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x945e7a16, "ata_port_abort" },
	{ 0x5452cb97, "sata_lpm_ignore_phy_events" },
	{ 0x1ae38ef9, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x624fa304, "param_ops_int" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0x23b726f8, "sata_pmp_port_ops" },
	{ 0x44a914c, "dev_attr_sw_activity" },
	{ 0x7ae6e74c, "dev_attr_unload_heads" },
	{ 0x41b8165c, "dev_attr_ncq_prio_supported" },
	{ 0x42a2fe3d, "dev_attr_ncq_prio_enable" },
	{ 0x5c9e5650, "dev_attr_link_power_management_policy" },
	{ 0x9a8139ee, "dev_attr_em_message_type" },
	{ 0x6d0621ab, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9121bba, "__pm_runtime_resume" },
	{ 0x86147d89, "__pm_runtime_idle" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xbc5750c7, "ata_link_next" },
	{ 0x84358769, "ata_wait_register" },
	{ 0xc06aeda7, "ata_dev_set_feature" },
	{ 0xd346653e, "_dev_info" },
	{ 0x3b586c4a, "sata_link_scr_lpm" },
	{ 0x181df1d1, "ata_msleep" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0xba2cada9, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.5");
