#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x7a539e55, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xa7cfa7e6, "");
SYMBOL_CRC(__bcma_driver_register, 0x44b4fa07, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x9fd6bdd6, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x8389c9c0, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xa94c775d, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xceda4f4a, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xd856fd26, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xb09a598c, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xf2944afe, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x7a030ec0, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x999d2565, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x1f8819a8, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xa12b77a9, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xe5e9457a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x4002a94e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb6aa5340, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x6a00efe3, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x32ea8028, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x428e989b, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xa01b520d, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xcb5cde7a, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x4671f310, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x3d8a5661, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x81f96d9b, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x889f2e77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x1234855, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0x8988a26c, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x704c486a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5455007b, "device_initialize" },
	{ 0xdd3fefe9, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d9f95e8, "get_device" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0x7c8437fe, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8766cb63, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x4082d596, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd346653e, "_dev_info" },
	{ 0x2cfbc3fd, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x808cdbe5, "bus_unregister" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0x4c74355b, "platform_device_unregister" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x86c9e3c3, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x780229da, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x66d694ae, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x1832100f, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70196354, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x56b5a6b2, "platform_device_register_full" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xfa945832, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x464d496d, "pci_disable_device" },
	{ 0x5fb3211a, "pcie_set_readrq" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x5ae523a2, "driver_register" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa06c6a58, "__dev_fwnode" },
	{ 0x89e7bb2a, "pci_write_config_dword" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xf5a8f7f4, "bus_register" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.5");
