#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xcc6297d6, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x6cedb00d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xcc6bc840, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xd628e1e2, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x7711e33a, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1792a185, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xa19e91c4, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xa18dc1bf, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xb1a2d7ae, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7aac5e3a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x2750021b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xf53db53e, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x15cc333d, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x917435a7, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xc2f60351, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x4e524128, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x8ee6efad, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xdf5711af, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x3faf614a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xd8cbdf7f, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xb674d8ce, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xde52df8e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xbeb6356f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x6a0f3509, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xdef4df8f, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x1890a839, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x15dd74f1, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x820985da, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x13720b9e, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x06874df3, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x341aebbe, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xd2e029c8, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xf27213ae, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xa3dfdbbe, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x3a04aee5, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x5cf3752c, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x9c801ab8, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x8fed727f, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x4bf16305, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x598f0c77, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x8e9813c2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xce4dd667, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x55607463, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xc94af23e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x4ee70077, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x764bd7a4, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x759d4eef, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xf6851d54, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xe7b4ecbf, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x4dfd3482, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x21d93e87, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xa8383996, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x0b8f6a64, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xf21a4fa6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x9db78602, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x4dfea36b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x3e05d030, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x3d9ad95c, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xd0c08507, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x456ab60e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x070bd63f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xb3ec3f1e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x0eadc181, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x795a26d5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xe241b00f, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xa2d7efb8, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xc8766626, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x1e4b1f3f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x1a80a3a2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xaea00267, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x6a11c7cd, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x6f78eeba, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xaf007f5f, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xdebe1931, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x593bbdf7, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x4fa8a462, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x18aacebf, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x97d5afc4, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x601746dc, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x926fa72c, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x69d9bee4, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xcba16135, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x4e6cb5f7, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xd5d85200, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xd3043313, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x08be420e, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x77fb1e56, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x27cdeda0, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xa5ecde70, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x714d785f, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xf204e60c, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xd9e8d2fe, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xa9e9faa9, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x5b9cba02, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xf48c8b9f, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x9eabd58a, "");
SYMBOL_CRC(drm_flip_work_queue, 0xf64cd7f1, "");
SYMBOL_CRC(drm_flip_work_commit, 0x7e8aba18, "");
SYMBOL_CRC(drm_flip_work_init, 0x7cfb2b5d, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xdf7bdea3, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xdec6f8ee, "");
SYMBOL_CRC(drm_fb_swab, 0x52e96b81, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xcdd2ce73, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x11755938, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xfe57888b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x054eb65f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb99c485c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xe1913ec5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x748cd1fc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x77ffa37f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xd8d18dd5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x27a44f8a, "");
SYMBOL_CRC(drm_fb_blit, 0xb5ba886e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xb64221d4, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x6dab3d22, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xf15109d5, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x0d512a01, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x45cf1f20, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x84a8594f, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x3ffe1fbb, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x293a9a83, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xaeda8f87, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x8e24d9df, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x723bcb66, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x64647cee, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe86720a3, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x12c4f025, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x2c5a9a32, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xae260cfb, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x406c10bf, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x6ec7a8bc, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x42099431, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xfa64a0b5, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xdf2a60b1, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x88f026d3, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xe0cd0761, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xd682720a, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x6f20c366, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x451c1da1, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xd8830488, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x78bbcc4e, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x4baa7dba, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x76934203, "");
SYMBOL_CRC(drm_crtc_init, 0x71902e15, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xca6001bc, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xf0c99695, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x62ae30ee, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x40e84aa4, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x585a1410, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xddac7871, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x5aac0d22, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x41202cb1, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x73fbc701, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x8654324e, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x44828e4e, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x446326ac, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x500b2d69, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x3e25b0e7, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x192939ab, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x94b8e307, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x7ee3e62c, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x8a9abe80, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xcbf34419, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xba7f0f7c, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x3749c232, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xbbd6419d, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x1beed135, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xfdee391d, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x7386f0e7, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x4420437f, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xb7f0b92f, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x1362e7ea, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x20c78fab, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xff0ebeb0, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x4f03ed52, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xb194b337, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xdc887b07, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x8ffa02d3, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xfb2f7569, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x800e3968, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x69a4bb0e, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x3246f977, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xd261c45b, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x176e92fe, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xf85e47e7, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x5a2f0b08, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xafd789be, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x83be5bb9, "");
SYMBOL_CRC(drm_fb_helper_init, 0x4d3de253, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x258724b8, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x89e8ce2e, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xbd6fbc44, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x07409015, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x03ddf068, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x39a8aa8d, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xa7838407, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x24a497f3, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x14444d2e, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x56285e45, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xb3e70e31, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x3ba2fae0, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x6d7e1c7d, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x880d2fe0, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x452e4367, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x213ba23b, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xd4e7c46f, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xa6bc0777, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x3a8560d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69d3670f, "unregister_framebuffer" },
	{ 0x7bcd32b7, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x536e7265, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8e283db, "drm_client_register" },
	{ 0x9c6054e9, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7f61ead1, "drm_panel_get_modes" },
	{ 0x27525d33, "drm_gem_vmap_unlocked" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x9ef20c1d, "drm_connector_list_update" },
	{ 0x9a759a78, "drm_bridge_add" },
	{ 0xc4f96b2e, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xbb5c38a, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x90323500, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa7ee2b79, "drm_client_rotation" },
	{ 0xc75a4f8c, "drm_client_buffer_vmap" },
	{ 0x15672009, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5244e4d, "drm_framebuffer_init" },
	{ 0x7fb4e06, "drm_mode_validate_driver" },
	{ 0x5e04e207, "drm_atomic_add_affected_planes" },
	{ 0x6cfe9de5, "dma_buf_end_cpu_access" },
	{ 0xb7934837, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x414b102f, "drm_mode_probed_add" },
	{ 0xedd8fc6b, "drm_atomic_add_affected_connectors" },
	{ 0x67e7c5ff, "drm_gem_vunmap_unlocked" },
	{ 0x71d5e133, "drm_bridge_hpd_enable" },
	{ 0xc01bcba8, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x3256b6ce, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x40d9c352, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xe2b6e427, "drm_client_framebuffer_create" },
	{ 0x83795ece, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xaefb790c, "drm_mode_object_get" },
	{ 0x770719a7, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xaa48a027, "drm_driver_legacy_fb_format" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xad6df7de, "drm_crtc_cleanup" },
	{ 0x25c4dcb1, "drm_connector_list_iter_begin" },
	{ 0x87fe4dc, "fb_deferred_io_init" },
	{ 0xfaf1177e, "drm_mode_set_config_internal" },
	{ 0x5dcbf157, "fb_deferred_io_cleanup" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xe41b29a1, "framebuffer_alloc" },
	{ 0xd1bed845, "drm_encoder_cleanup" },
	{ 0x7ac625a0, "drm_connector_unregister" },
	{ 0x39240153, "drm_modeset_acquire_init" },
	{ 0x6e73c3d1, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xb62a7245, "drm_client_modeset_probe" },
	{ 0x77b2dc54, "drm_warn_on_modeset_not_all_locked" },
	{ 0xfcd74b8e, "drm_plane_get_damage_clips" },
	{ 0xe1938087, "devres_add" },
	{ 0xeadfa0ef, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b5fbdb, "drm_add_modes_noedid" },
	{ 0x17480611, "drm_bridge_remove" },
	{ 0x34c120f4, "drm_mode_object_put" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0xf8b78a8e, "drm_crtc_vblank_get" },
	{ 0x489b15b0, "drm_gem_object_lookup" },
	{ 0xeb3204bd, "drm_crtc_send_vblank_event" },
	{ 0xb2eb46c7, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x3919e170, "fb_sys_write" },
	{ 0x97a12ddf, "drm_atomic_normalize_zpos" },
	{ 0x3f684def, "drm_edid_connector_update" },
	{ 0xa059042a, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x7a7227f6, "drm_bridge_hpd_disable" },
	{ 0xff13b0e9, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3f11bd4e, "__drmm_add_action_or_reset" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd8078303, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xa3e2c5aa, "sys_fillrect" },
	{ 0xc9f090bc, "drm_connector_list_iter_end" },
	{ 0xb759b024, "drm_atomic_set_crtc_for_plane" },
	{ 0xab9630bb, "drm_bridge_edid_read" },
	{ 0x8e99e560, "drm_client_modeset_dpms" },
	{ 0xc8d8a055, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8f193d9d, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd346653e, "_dev_info" },
	{ 0x2d9540aa, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x93173d48, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xafc87c90, "module_put" },
	{ 0x8805765e, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xf212016b, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa8e6cd71, "drm_client_init" },
	{ 0xa3c7528, "drm_crtc_wait_one_vblank" },
	{ 0xdb1a6f08, "drm_crtc_next_vblank_start" },
	{ 0xe01d4e48, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x4dabf9d9, "drm_modeset_lock" },
	{ 0xcb25d166, "drm_client_modeset_commit_locked" },
	{ 0xf939f689, "drm_modeset_unlock" },
	{ 0x9313878e, "drm_panel_disable" },
	{ 0x5bce994d, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3376bb0, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x32393cd0, "devm_kfree" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x2de832ff, "drm_writeback_cleanup_job" },
	{ 0x753305f3, "drm_modeset_lock_all_ctx" },
	{ 0x1ec31606, "i2c_unregister_device" },
	{ 0x924dcc70, "drm_atomic_set_fb_for_plane" },
	{ 0x269e6ca4, "__drm_universal_plane_alloc" },
	{ 0x741765c5, "drm_connector_init_with_ddc" },
	{ 0x15abb00, "drm_edid_connector_add_modes" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x2515ef6c, "__devres_alloc_node" },
	{ 0xc467a9f9, "drm_edid_read" },
	{ 0x65e5fb94, "drm_crtc_commit_wait" },
	{ 0xead77d1d, "drm_dev_has_vblank" },
	{ 0x265f3746, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8396a41d, "__drm_atomic_helper_disable_plane" },
	{ 0x4ca6f36c, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f523f4e, "drm_gem_handle_create" },
	{ 0xd2a03259, "drm_atomic_set_crtc_for_connector" },
	{ 0xa949343d, "drm_analog_tv_mode" },
	{ 0x636f8c0c, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd91e71c, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x235bded6, "drm_crtc_vblank_put" },
	{ 0xf5c034f6, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x87b0448b, "__drm_dev_dbg" },
	{ 0x2f5b68cf, "drm_plane_get_damage_clips_count" },
	{ 0x3a53f66f, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x91a585cd, "fb_deferred_io_mmap" },
	{ 0x4eb7a636, "drm_atomic_state_alloc" },
	{ 0xd0d05c34, "drm_client_modeset_commit" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x4e5799b1, "drm_atomic_bridge_chain_post_disable" },
	{ 0xd446260e, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x95638f43, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x719f9aa5, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x53c8783b, "drm_client_release" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x6565b45d, "__drm_atomic_helper_set_config" },
	{ 0x7e540627, "mutex_trylock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x28c6bcd8, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x1a4f84b9, "drm_get_format_info" },
	{ 0x1bf0d2c2, "drm_connector_cleanup" },
	{ 0x5ea6d135, "drm_universal_plane_init" },
	{ 0x1383602a, "drm_any_plane_has_format" },
	{ 0x2b320e0d, "sys_copyarea" },
	{ 0xc2f2ed30, "drm_connector_list_iter_next" },
	{ 0x41947de6, "drm_modeset_acquire_fini" },
	{ 0xdd6c18ce, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x399c58a1, "drm_object_property_get_default_value" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0x8ef3ef0a, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbc7626, "drm_modeset_backoff" },
	{ 0x70f87689, "drm_panel_prepare" },
	{ 0xa3c7c429, "drm_bridge_chain_mode_set" },
	{ 0x4e1b7335, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xb362ea89, "fb_sys_read" },
	{ 0x52c0b375, "drm_atomic_get_plane_state" },
	{ 0xbced569d, "drm_atomic_bridge_chain_check" },
	{ 0x45abdefa, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xb163434d, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb34ddcc8, "drm_property_blob_put" },
	{ 0xede132e2, "drm_mode_destroy" },
	{ 0x2ebdc464, "drm_bridge_attach" },
	{ 0xef2a38e4, "drm_set_preferred_mode" },
	{ 0x78c1d591, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xe9a9e56, "drm_atomic_state_clear" },
	{ 0x98d131f2, "drm_mode_config_reset" },
	{ 0x83194fc7, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xb7f0f6ee, "drm_modeset_drop_locks" },
	{ 0xb1e31e29, "fwnode_handle_put" },
	{ 0x367876d8, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x33ca426d, "drm_atomic_bridge_chain_disable" },
	{ 0x663b588a, "drm_mode_create_from_cmdline_mode" },
	{ 0x41b69dc, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x624fa304, "param_ops_int" },
	{ 0x22dfc125, "drm_atomic_nonblocking_commit" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xd3317fab, "drm_master_internal_release" },
	{ 0x7e01a608, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xbdc3e924, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{  0x83d53, "drm_atomic_add_encoder_bridges" },
	{ 0x1365be9d, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x94b54e9e, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.5");
