#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x81246741, "");
SYMBOL_CRC(drm_gem_vram_put, 0xf5b084e9, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x1a4a781a, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x363512c2, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xf1ce10c2, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xa80de635, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xadfdfa1e, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x18148d67, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x2e996b40, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x2b7d802e, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xafcaa07a, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xa45a3c90, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x56570dba, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x15d31271, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xf0024fa6, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xe23c2685, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9aeeecd, "ttm_range_man_init_nocheck" },
	{ 0x73a1f5bf, "ww_mutex_lock_interruptible" },
	{ 0xa43b6404, "ttm_resource_manager_debug" },
	{ 0xb01dac7d, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b12585d, "ttm_range_man_fini_nocheck" },
	{ 0x74a14229, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6213677e, "ttm_bo_pin" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0xd323f5a1, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f11bd4e, "__drmm_add_action_or_reset" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9e51604b, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x5eec38f3, "drm_gem_object_release" },
	{ 0xce1b490f, "ttm_tt_init" },
	{ 0x3f523f4e, "drm_gem_handle_create" },
	{ 0x406c10bf, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa766342, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x2c3548f4, "drm_debugfs_add_files" },
	{ 0x83713806, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17642c24, "ttm_device_init" },
	{ 0x911a98ed, "ttm_bo_validate" },
	{ 0x50fcc942, "ttm_bo_move_to_lru_tail" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xe28eeefe, "ttm_bo_vmap" },
	{ 0xf20927a8, "ttm_bo_put" },
	{ 0x20fcc22f, "ttm_resource_free" },
	{ 0x495717a7, "ttm_bo_move_memcpy" },
	{ 0x88e584fb, "ttm_tt_fini" },
	{ 0x460f991b, "ttm_device_fini" },
	{ 0xf15109d5, "drm_gem_plane_helper_prepare_fb" },
	{ 0xf2fa3d30, "ttm_bo_eviction_valuable" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x39b31e1c, "drm_gem_ttm_print_info" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.5");
