#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x9555a7e7, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x3dd2b87c, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x21b1e655, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xf12104ab, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xce634e72, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x2859fd40, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x079a3004, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x7b9d6918, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xc0758ac1, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x439844d4, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x80967cc7, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x93a3b79e, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xb377782d, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x3946adce, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xaac864d0, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x2b245f00, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x920c9fb2, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xed9a68b5, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x0d459f72, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x7331a355, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x9c20c8c0, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x5ab130a6, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x0c0bfcce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2a77d7d, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa79d5599, "__init_rwsem" },
	{ 0xfc0d920a, "misc_deregister" },
	{ 0x23f7feaa, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x76e5aa4, "iommu_group_get" },
	{ 0x620f5685, "pin_user_pages_remote" },
	{ 0x5ea583a0, "iommu_iova_to_phys" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0xf6c8eefa, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xfb11405a, "fget" },
	{ 0x269aa998, "__put_task_struct" },
	{ 0xa4051e31, "__xas_next" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xcb053ecb, "unpin_user_pages" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc16bab3a, "unpin_user_page_range_dirty_lock" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xbdce4b80, "__account_locked_vm" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xeffa4664, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x2a02e609, "__tracepoint_mmap_lock_released" },
	{ 0xe995f8de, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xa35ba788, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2f073c84, "iommu_detach_group" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x72dfca05, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x814b655d, "fput" },
	{ 0x88b02525, "down_write" },
	{ 0x365f73ce, "iommu_domain_free" },
	{ 0x53fa1d67, "up_write" },
	{ 0x74fdf245, "iommu_get_msi_cookie" },
	{ 0xfc2e208d, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x22147ddf, "iommu_domain_alloc" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7141e36, "iommu_unmap" },
	{ 0x833d543f, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x2f34e0f5, "xas_load" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0xb017e77d, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x2ae2948f, "misc_register" },
	{ 0xc7112d6c, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x878e9198, "iommu_put_resv_regions" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0xadeaaefd, "__mmdrop" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0x7d2be1f2, "__mmap_lock_do_trace_start_locking" },
	{ 0x8a131c09, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdb9a1475, "mmput" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x73a4141e, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x149a14ab, "__mmap_lock_do_trace_released" },
	{ 0x1bc585cf, "xa_store" },
	{ 0x15406866, "set_page_dirty_lock" },
	{ 0x6c6c1c44, "device_iommu_capable" },
	{ 0x1f15fe65, "xas_nomem" },
	{ 0xf7cb0cca, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x351079a6, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x3bbcd180, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x2e5326cd, "up_read" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E0DD3087994E52BC675A3A");
MODULE_INFO(rhelversion, "9.5");
