#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xc1bec4fe, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x7b147627, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xf852aafa, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x24d736e2, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x2c2279c1, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x61925a99, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x225999bd, "mdiobus_alloc_size" },
	{ 0x2480b4e9, "__tracepoint_xdp_exception" },
	{ 0x1de4f40f, "xsk_tx_completed" },
	{ 0x80a21e46, "napi_alloc_skb" },
	{ 0xfc30b2c8, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xce4b0247, "xp_alloc" },
	{ 0x5e4625a4, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x89c8de92, "bpf_prog_put" },
	{ 0x272ac606, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb78e10b9, "xp_dma_map" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x90323500, "devm_kmalloc" },
	{ 0x7edd7f82, "eth_mac_addr" },
	{ 0xa09bfac3, "skb_put" },
	{ 0xbe8b8a9, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x443d7171, "netdev_update_features" },
	{ 0xa631085, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x90337ff8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a44bc3e, "hrtimer_try_to_cancel" },
	{ 0x887179aa, "bpf_warn_invalid_xdp_action" },
	{ 0xdb4feabc, "unregister_netdev" },
	{ 0xedecb615, "xdp_convert_zc_to_xdp_frame" },
	{ 0xaf91b0e7, "xdp_features_set_redirect_target" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0xf720c701, "dma_unmap_page_attrs" },
	{ 0x8a6589da, "hrtimer_init" },
	{ 0xfcbeb205, "skb_add_rx_frag" },
	{ 0x4824657b, "get_device_system_crosststamp" },
	{ 0xc44314e4, "ptp_clock_index" },
	{ 0x56d36ba6, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xa6dd3219, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd2460791, "page_pool_destroy" },
	{ 0xd070699e, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe47c474a, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xa3a12711, "flow_rule_match_ipv4_addrs" },
	{ 0x6c300036, "xdp_rxq_info_unreg_mem_model" },
	{ 0x86990f17, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xe4ba4404, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2f19c09, "phylink_limit_mac_speed" },
	{ 0x533cfa90, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0xcb2028f5, "pinctrl_pm_select_default_state" },
	{ 0x958e1929, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc7833677, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f6e877a, "__pm_runtime_set_status" },
	{ 0x526b8503, "dma_map_page_attrs" },
	{ 0xdd22d02d, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x313d8cc5, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9f1ab13d, "pm_wakeup_dev_event" },
	{ 0x8d47a3c0, "skb_checksum_help" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xa0b304d9, "__napi_schedule" },
	{ 0xfbf43bdc, "pm_runtime_enable" },
	{ 0xb98d1f4e, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x8783b540, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa29ac411, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0xd346653e, "_dev_info" },
	{ 0xc151b63c, "xpcs_create_mdiodev" },
	{ 0xce043fa, "napi_gro_receive" },
	{ 0xb7913424, "netif_device_attach" },
	{ 0x24409889, "xdp_features_clear_redirect_target" },
	{ 0x5ac7bfa6, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7169618d, "netdev_pick_tx" },
	{ 0x91821f02, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5a92a6ea, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd1105019, "xdp_rxq_info_is_reg" },
	{ 0x81e5f3f7, "devm_alloc_etherdev_mqs" },
	{ 0x5c58ca16, "flow_block_cb_setup_simple" },
	{ 0x3e826412, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x402d10d8, "dev_open" },
	{ 0xc3fadbce, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x448aae2a, "xpcs_destroy" },
	{ 0xa6f27297, "pinctrl_pm_select_sleep_state" },
	{ 0xab2b8737, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe5ce9912, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3b2dbf32, "ptp_clock_register" },
	{ 0x67b670eb, "xp_dma_sync_for_cpu_slow" },
	{ 0x7d034a40, "xsk_tx_peek_desc" },
	{ 0x709549a, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaf148863, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x627f630f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xdcfa3e95, "dma_alloc_attrs" },
	{ 0xebbb2399, "debugfs_remove" },
	{ 0xed601236, "napi_enable" },
	{ 0x9e127f88, "xsk_clear_rx_need_wakeup" },
	{ 0xe3279fd6, "xpcs_get_interfaces" },
	{ 0x42d4fd4b, "xsk_uses_need_wakeup" },
	{ 0x7435569b, "register_netdev" },
	{ 0xa1bc6402, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3bc83f5, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x90b4058e, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5486b59, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xabe010c4, "__SCK__tp_func_xdp_exception" },
	{ 0xb7097ee0, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x77dfbd8a, "netif_tx_wake_queue" },
	{ 0x227bf757, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe7872a87, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x4477b4d2, "flow_rule_match_ports" },
	{ 0xc64b2ce5, "phylink_fwnode_phy_connect" },
	{ 0x1edc903d, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5addd4fe, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x76db255e, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6230f91c, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xac1ca85f, "ptp_clock_unregister" },
	{ 0xe80bcafe, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xc25b4e81, "xpcs_get_an_mode" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x46d3dbf6, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa607e87d, "xdp_return_frame_rx_napi" },
	{ 0xd8e92dd6, "netdev_alert" },
	{ 0xb53f4cac, "dma_set_coherent_mask" },
	{ 0x6165b759, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9406850, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xd38a3aab, "rt_read_lock" },
	{ 0x51cb37c5, "debugfs_rename" },
	{ 0x2f534bbd, "debugfs_create_file" },
	{ 0x33cecbb6, "xsk_set_tx_need_wakeup" },
	{ 0x56130e9, "dma_free_attrs" },
	{ 0xf9121bba, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9b2261be, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x320bdc53, "xp_set_rxq_info" },
	{ 0x63cd9508, "flow_rule_match_vlan" },
	{ 0x29c3e0ad, "xdp_rxq_info_unreg" },
	{ 0xadbd797c, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xeb4a995f, "__xdp_rxq_info_reg" },
	{ 0xa2fc084d, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1838a5d1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xfaa4cd9c, "mdiobus_get_phy" },
	{ 0x9b6d3607, "netif_carrier_on" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd00a1352, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe271f591, "hrtimer_cancel" },
	{ 0x92c28ba1, "xp_free" },
	{ 0x612bf1ca, "single_release" },
	{ 0x35a753fd, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xd110172, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x8132daf1, "xdp_master_redirect" },
	{ 0xb1e31e29, "fwnode_handle_put" },
	{ 0xedc44da1, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x8f8ea556, "napi_schedule_prep" },
	{ 0xfea52803, "napi_disable" },
	{ 0x7c62b4df, "dev_kfree_skb_any_reason" },
	{ 0xbf58f8f0, "eth_header_parse_protocol" },
	{ 0x624fa304, "param_ops_int" },
	{ 0xbe5f9b28, "single_open" },
	{ 0xb757f616, "__pm_runtime_disable" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbdb3f409, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x86147d89, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3d4108e2, "ethtool_op_get_ts_info" },
	{ 0x518ca43c, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa06c6a58, "__dev_fwnode" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x14ed6494, "netdev_info" },
	{ 0xaadd0e3c, "page_pool_put_unrefed_page" },
	{ 0xa3faf8d1, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "3D73A1121802B6A9BC08148");
MODULE_INFO(rhelversion, "9.5");
