#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x6ff17096, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xdf787fe3, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc0961326, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xf50729a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1a2f31d, "netif_stacked_transfer_operstate" },
	{ 0x451b3aa7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0x48ffa45e, "netdev_upper_dev_unlink" },
	{ 0x2d379b36, "__dev_get_by_index" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x970f8e95, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7eec64e4, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ba9cfdb, "dev_uc_sync" },
	{ 0x1dad09f5, "dev_mc_sync" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xb76d6ee6, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x853227fb, "skb_clone" },
	{ 0x6b22f2e4, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa631085, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe08d534a, "__dev_queue_xmit" },
	{ 0xb4d21f58, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x24245b7b, "__netif_rx" },
	{ 0x644330d8, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaba425e6, "netdev_core_stats_alloc" },
	{ 0x35483634, "passthru_features_check" },
	{ 0xc0756efb, "eth_validate_addr" },
	{ 0x50f6efdf, "ndo_dflt_fdb_dump" },
	{ 0xb5486b59, "ethtool_op_get_link" },
	{ 0xd9bb0ce3, "eth_header_parse" },
	{ 0x15ec321f, "eth_header_cache" },
	{ 0x42819974, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ecd08da, "ether_setup" },
	{ 0x7b1f0739, "__ethtool_get_link_ksettings" },
	{ 0xc74af9eb, "ethtool_get_ts_info_by_layer" },
	{ 0xa602bd6b, "init_net" },
	{ 0xc7555d0b, "generic_hwtstamp_set_lower" },
	{ 0x193afd02, "generic_hwtstamp_get_lower" },
	{ 0x6833b2c2, "dev_mc_del" },
	{ 0xb4e3bbcb, "dev_uc_del" },
	{ 0xd6569ef, "dev_mc_add_excl" },
	{ 0xdd79fb37, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa18a74b3, "vlan_vid_del" },
	{ 0x97fefad8, "vlan_vid_add" },
	{ 0xcc28a13c, "dev_set_allmulti" },
	{ 0x93a878fc, "dev_set_promiscuity" },
	{ 0xa17f075a, "dev_uc_unsync" },
	{ 0xd87f6ff7, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19c23adf, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xcf48644c, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x90960a17, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xafbe872d, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x6cbdb4a0, "netdev_is_rx_handler_busy" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x9b2f65e2, "netdev_rx_handler_register" },
	{ 0x8749684d, "dev_uc_add" },
	{ 0x6ae74c99, "call_netdevice_notifiers" },
	{ 0x564bed8, "netif_inherit_tso_max" },
	{ 0x443d7171, "netdev_update_features" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.5");
