#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xcf9aa6f3, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x1102f495, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x07f668ab, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xe0497327, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x4fd21e98, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xa9ef7305, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x2e718cbf, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x2880d195, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x6fad45dc, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x9859affc, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x75b712ab, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xc84d37b1, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xb0c1a7bf, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x2b0e6c27, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xbc7c76ca, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x5dc96a1c, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x0b89f634, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x1af65e51, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x2c84ae0a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xb5fbae5d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xa5a5b1fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5839c709, "mdiobus_write" },
	{ 0x23ef853f, "mdiobus_read" },
	{ 0x3182a5d6, "phy_write_mmd" },
	{ 0xc26ea61b, "phy_modify" },
	{ 0x6cb4c6c4, "phy_trigger_machine" },
	{ 0xd0814fae, "phy_error" },
	{ 0x39bc4749, "phy_modify_changed" },
	{ 0xbdd9d4cb, "genphy_update_link" },
	{ 0xa656e718, "genphy_read_lpa" },
	{ 0x40b6ae9, "phy_resolve_aneg_pause" },
	{ 0xe6632d3b, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x41cff1e, "phy_read_mmd" },
	{ 0x28fce41b, "ethnl_cable_test_result" },
	{ 0xaf7c1153, "ethnl_cable_test_fault_length" },
	{ 0x3ab2c08b, "phy_modify_mmd" },
	{ 0x9e8f3f5, "genphy_soft_reset" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.5");
