#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x3caf5434, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xdbe943fc, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xb98e28e5, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x2c0855fd, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xf8e7087a, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xba7ef5b9, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x7ecdeb9f, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x417ab463, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x6303eb8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4ba4404, "netdev_err" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xc231fefe, "_copy_to_iter" },
	{ 0x82d9fa2e, "iov_iter_advance" },
	{ 0x5785d8aa, "skb_copy_datagram_iter" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x39179186, "idr_find" },
	{ 0x273b3e76, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x3c8dcee2, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfa2908dc, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x85488b6f, "cdev_init" },
	{ 0x194ba839, "cdev_add" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xe74d43ea, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x72c55491, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x84901c64, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa631085, "consume_skb" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xc23314c9, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2393ae84, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xb3843441, "__skb_gso_segment" },
	{ 0x23a945a0, "__skb_get_hash" },
	{ 0x8d47a3c0, "skb_checksum_help" },
	{ 0x1ecc3f2d, "kfree_skb_list_reason" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xc53af8b0, "__skb_flow_dissect" },
	{ 0xc1a7c62f, "skb_partial_csum_set" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0x1b9b0ee5, "sock_alloc_send_pskb" },
	{ 0xa09bfac3, "skb_put" },
	{ 0xf26b09fd, "zerocopy_sg_from_iter" },
	{ 0xe08d534a, "__dev_queue_xmit" },
	{ 0x42f2dff6, "skb_copy_datagram_from_iter" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x7ff43f71, "build_skb" },
	{ 0x8f024c7f, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.5");
