#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x6eccb072, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x2fb95b02, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x9aacccc8, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x428d8ff4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xf08d25ec, "__skb_checksum_complete" },
	{ 0xdacf0b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x72c676e3, "__nlmsg_put" },
	{ 0x92d4e993, "netdev_adjacent_change_commit" },
	{ 0x7edd7f82, "eth_mac_addr" },
	{ 0xa09bfac3, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb9f909e1, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbff1dedb, "ip6_dst_hoplimit" },
	{ 0xc5183794, "param_ops_ushort" },
	{ 0xa631085, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x3b293ae1, "udp_sock_create4" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0xa7840855, "udp_tunnel6_xmit_skb" },
	{ 0x90960a17, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb13991d9, "__unregister_nexthop_notifier" },
	{ 0x564bed8, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xc0756efb, "eth_validate_addr" },
	{ 0xfc58aa57, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdbc7d285, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb2360d66, "rtnl_create_link" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xddc81b8, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x2ecd08da, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c466a6c, "udp_tunnel_drop_rx_port" },
	{ 0xaa8d4e1c, "pskb_expand_head" },
	{ 0x970f8e95, "netdev_upper_dev_link" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0xaba425e6, "netdev_core_stats_alloc" },
	{ 0xc7833677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x2f2024aa, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x88acc035, "eth_gro_complete" },
	{ 0x826ca19e, "rtnl_set_sk_err" },
	{ 0x74c089e9, "eth_gro_receive" },
	{ 0x83826c74, "rtnl_configure_link" },
	{ 0x7fed47d2, "skb_tunnel_check_pmtu" },
	{ 0x9190e450, "udp_tunnel_dst_lookup" },
	{ 0xcef9802f, "rtnl_unicast" },
	{ 0x289a6f01, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x3422256a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d379b36, "__dev_get_by_index" },
	{ 0xafbe872d, "rtnl_link_unregister" },
	{ 0x23a945a0, "__skb_get_hash" },
	{ 0x5e731983, "ipv6_stub" },
	{ 0xab2b8737, "skb_pull" },
	{ 0xbefa1727, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe8353024, "dev_get_by_index_rcu" },
	{ 0xe5a32d98, "gro_cells_receive" },
	{ 0x9cf58b65, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x48ffa45e, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4c59d8b, "free_netdev" },
	{ 0x591bf7b9, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x238b18bb, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5486b59, "ethtool_op_get_link" },
	{ 0x7a5d8e74, "nexthop_find_by_id" },
	{ 0x2ae8513f, "arp_create" },
	{ 0x7b1f0739, "__ethtool_get_link_ksettings" },
	{ 0x9545a2d2, "netdev_adjacent_change_prepare" },
	{ 0xb4a61ea1, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x78a0d2ac, "rhashtable_free_and_destroy" },
	{ 0xec38b160, "rht_bucket_nested_insert" },
	{ 0x9d084fe7, "netdev_adjacent_change_abort" },
	{ 0xa1a220bb, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x168844f9, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf56d4ea1, "__iptunnel_pull_header" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x924111d5, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb76d6ee6, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3065c5e8, "rhashtable_destroy" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x44a70baf, "setup_udp_tunnel_sock" },
	{ 0x195858c6, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x46d3dbf6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcc2bb69b, "skb_scrub_packet" },
	{ 0x61d0cd6d, "nexthop_select_path" },
	{ 0xcee5718d, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdbe738d2, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x84285705, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0xaaac2906, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x55de0e87, "rtnl_notify" },
	{ 0x93954aad, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x24245b7b, "__netif_rx" },
	{ 0x853227fb, "skb_clone" },
	{ 0x41575b85, "metadata_dst_alloc" },
	{ 0x4a5dd219, "dst_release" },
	{ 0x1cace242, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xcff9ccc9, "udp_tunnel_notify_del_rx_port" },
	{ 0x21f12547, "register_nexthop_notifier" },
	{ 0xe3c88bc0, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd8cb27c1, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x14ed6494, "netdev_info" },
	{ 0x37586a8e, "neigh_lookup" },
	{ 0x5952defd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3C85ED4E082CBAE0993668C");
MODULE_INFO(rhelversion, "9.5");
