#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xc59cc024, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xd5af8090, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xb6c30848, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xe0cb9021, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xca2d42ce, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x9a40b581, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x9b1518f, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x72c676e3, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa09bfac3, "skb_put" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0xa631085, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0xe85cacfd, "skb_dequeue" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x90960a17, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xa426fdc0, "device_for_each_child" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xb2360d66, "rtnl_create_link" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7e00dba, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c9addc3, "alloc_netdev_mqs" },
	{ 0x216e3c22, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x4082d596, "put_device" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd346653e, "_dev_info" },
	{ 0xee55efa0, "skb_queue_tail" },
	{ 0x83826c74, "rtnl_configure_link" },
	{ 0x8f024c7f, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xafbe872d, "rtnl_link_unregister" },
	{ 0xa602bd6b, "init_net" },
	{ 0xab2b8737, "skb_pull" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd4010350, "noop_llseek" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xebbb2399, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x4c59d8b, "free_netdev" },
	{ 0x4aa6570b, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1227bb3e, "class_dev_iter_init" },
	{ 0xc7e6860d, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xdca9e623, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x673f21cb, "stream_open" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x629ba9ed, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xc38ab485, "class_register" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x15a9e718, "skb_queue_head" },
	{ 0xb2c25b3d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.5");
