#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x218e412e, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc2b815f2, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x95a433c7, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xb66412f1, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xbfb3ec98, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xc6a2d284, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x2619ceaa, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0xd73ef2a3, "");
SYMBOL_CRC(nd_device_notify, 0xfc188efe, "");
SYMBOL_CRC(nvdimm_region_notify, 0x1a1c3379, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x9dd704c1, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x9ac488a8, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xb17e0013, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x28d9916d, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x4395475c, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xee6dc586, "");
SYMBOL_CRC(nd_device_unregister, 0xe2ffe35f, "");
SYMBOL_CRC(__nd_driver_register, 0x291dc734, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x02deb2cf, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x5c6c7c05, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x2024495a, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x5bde6cc5, "_gpl");
SYMBOL_CRC(to_ndd, 0xe1c42d81, "");
SYMBOL_CRC(nvdimm_name, 0xb1a76103, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xeec9877c, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x35beae52, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xebeb100b, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x3c49143b, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xf31bbced, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x61d3d226, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xbeca0cb8, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xf37a2187, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x350265bc, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x4904c430, "_gpl");
SYMBOL_CRC(to_nd_region, 0xff89902d, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xd7b04d77, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x15c31a44, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x27e8bdf4, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x71472a22, "");
SYMBOL_CRC(nd_region_release_lane, 0x7eb818a1, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xcb5db701, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x1072e9f1, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x89e070d9, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xb9ced9eb, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x20c4c2dc, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x99a478b5, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xad7add13, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x06bf0db6, "");
SYMBOL_CRC(pmem_sector_size, 0x57f4bf7b, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x810caf08, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xe88bdad1, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xd9817e58, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xd11fc99d, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x48d3ff42, "");
SYMBOL_CRC(devm_namespace_enable, 0x2cd0c26e, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x672f102c, "_gpl");
SYMBOL_CRC(badrange_init, 0xa54b3894, "_gpl");
SYMBOL_CRC(badrange_add, 0x6a5ddb4f, "_gpl");
SYMBOL_CRC(badrange_forget, 0xb000cc8b, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xacd91cf7, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xa827ab09, "");
SYMBOL_CRC(is_nd_btt, 0xa37b3a1b, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x4c12d7df, "");
SYMBOL_CRC(nd_btt_version, 0xbb4d516d, "");
SYMBOL_CRC(nd_btt_probe, 0xf4337821, "");
SYMBOL_CRC(to_nd_pfn, 0xf4a0ad9e, "");
SYMBOL_CRC(is_nd_pfn, 0xd4aedc39, "");
SYMBOL_CRC(nd_pfn_validate, 0x05976016, "");
SYMBOL_CRC(nd_pfn_probe, 0x2e06b899, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xd6517815, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x5a5f4a47, "");
SYMBOL_CRC(is_nd_dax, 0xaf718b59, "");
SYMBOL_CRC(nd_dax_probe, 0x00bcc226, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x49623159, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x4e03c1d7, "blk_integrity_register" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x90323500, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xa4893941, "devm_memremap" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbced157, "badblocks_set" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x75a053f8, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x5455007b, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x3362f8e0, "badblocks_exit" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xa426fdc0, "device_for_each_child" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x4d9f95e8, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0x75cb135, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15235f5d, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4082d596, "put_device" },
	{ 0xb108914b, "badblocks_show" },
	{ 0x4e364048, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xd346653e, "_dev_info" },
	{ 0xafc87c90, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8f024c7f, "compat_ptr_ioctl" },
	{ 0x4796b9be, "perf_pmu_migrate_context" },
	{ 0x4a7da89b, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xeb83891f, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x808cdbe5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0xa6a4a3f7, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xd4010350, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xe823f46a, "class_create" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x424770af, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x86c9e3c3, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcfb5ecd1, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x42d33b6a, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xa5a9242f, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xbfaf5821, "__devm_release_region" },
	{ 0x3fb66e28, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x63a48a27, "kernfs_put" },
	{ 0xdca9e623, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd3bdadf4, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xe7707e97, "badblocks_check" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x1f173430, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xd602e5c7, "badblocks_clear" },
	{ 0xa8a6fa26, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2e5326cd, "up_read" },
	{ 0x5ae523a2, "driver_register" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf5a8f7f4, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D15A115593B71BBFF09BA61");
MODULE_INFO(rhelversion, "9.5");
