#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x7a79abe2, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xade82e1b, "nvme_remove_admin_tag_set" },
	{ 0xf611d8f4, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x62647e66, "nvme_uninit_ctrl" },
	{ 0xa54991d, "ida_destroy" },
	{ 0xbce80945, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x26491674, "nvmf_free_options" },
	{ 0x7582f646, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x2e6ac685, "nvme_stop_keep_alive" },
	{ 0xe27e8f10, "blk_mq_complete_request_remote" },
	{ 0xf720c701, "dma_unmap_page_attrs" },
	{ 0x3722fab3, "nvme_setup_cmd" },
	{ 0x599dc606, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x996ca1e3, "nvme_alloc_admin_tag_set" },
	{ 0x600a3979, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x4343452f, "nvmf_reg_read32" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x951e7393, "nvme_delete_ctrl" },
	{ 0x4d9f95e8, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0x1d57930e, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x526b8503, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa84f11b5, "nvme_remove_io_tag_set" },
	{ 0xdf4c1a2e, "nvme_cleanup_cmd" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5320fe69, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6e7f5e50, "nvmf_unregister_transport" },
	{ 0xdb7ed684, "blkcg_get_fc_appid" },
	{ 0x4082d596, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7aba4a52, "nvme_change_ctrl_state" },
	{ 0xd346653e, "_dev_info" },
	{ 0xa1fbf24e, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1591d20, "nvme_alloc_io_tag_set" },
	{ 0x8e9df54d, "nvme_fail_nonready_command" },
	{ 0x10b4b162, "kobject_uevent_env" },
	{ 0xc3fadbce, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xb6827c07, "device_create" },
	{ 0x8ba3c93e, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xac54a24a, "__blk_rq_map_sg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x5e06b295, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4aa6570b, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa9d23086, "nvmf_connect_admin_queue" },
	{ 0xd321a446, "nvme_enable_ctrl" },
	{ 0x92d0b2ed, "nvme_unquiesce_admin_queue" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf659345c, "nvme_unquiesce_io_queues" },
	{ 0xe6cc296f, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8afc3f03, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8c30b96b, "nvmf_should_reconnect" },
	{ 0x9b2261be, "__dma_sync_single_for_device" },
	{ 0xa2458e96, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd3bdadf4, "device_destroy" },
	{ 0xa6d52430, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x926b63b0, "nvmf_register_transport" },
	{ 0xf6feaaf, "blk_mq_start_request" },
	{ 0x94557c3f, "nvme_quiesce_io_queues" },
	{ 0x24903f9, "blk_mq_tagset_busy_iter" },
	{ 0x297163a0, "nvme_stop_ctrl" },
	{ 0xdd8e03d8, "dma_unmap_sg_attrs" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xbaedbe38, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x92d38205, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xa4072127, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc38ab485, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x72b782ac, "__nvme_check_ready" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x31ce027b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.5");
