#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0xc45fd545, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xb8f99cee, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0xd3793766, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x990afc74, "");
SYMBOL_CRC(wmi_driver_unregister, 0xe7a45374, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ae523a2, "driver_register" },
	{ 0x50b0c49d, "nonseekable_open" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86c9e3c3, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xc38ab485, "class_register" },
	{ 0xf5a8f7f4, "bus_register" },
	{ 0xf9b778ca, "__platform_driver_register" },
	{ 0x808cdbe5, "bus_unregister" },
	{ 0x4aa6570b, "class_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x2a1e0ba2, "platform_driver_unregister" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0xafc87c90, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0xc99241e7, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0x5455007b, "device_initialize" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xfc0d920a, "misc_deregister" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0x4082d596, "put_device" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xb6827c07, "device_create" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2ae2948f, "misc_register" },
	{ 0x8f024c7f, "compat_ptr_ioctl" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "0F6B17A40E06235C4432461");
MODULE_INFO(rhelversion, "9.5");
