#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xcbcaab44, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x484d29ff, "_gpl");
SYMBOL_CRC(sas_free_task, 0x127045ca, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x41463bf6, "");
SYMBOL_CRC(sas_resume_ha, 0xd9cbc408, "");
SYMBOL_CRC(sas_suspend_ha, 0xd29a5c7c, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x4e5452d4, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x82f61f88, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xc78f1e8e, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x117845bb, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xcc3d05e2, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x1230637d, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xa7815f1b, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x3a3fd914, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xd8e9f503, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xb3c7335a, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x9a737771, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x275cfd91, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x8b4023f6, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x187b0304, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xf3067067, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xe5ee2724, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xdb96c40d, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x6effbdf9, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x97844f29, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x940fad08, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x26092b7e, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x285c56f1, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x11d6480f, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xc38c475a, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0f723a3, "ata_qc_complete" },
	{ 0xeb35c4fd, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe2a7b6d2, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x315c90f3, "ata_sas_port_destroy" },
	{ 0xdaec1ecd, "bsg_job_done" },
	{ 0x71bc728f, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf93f20fa, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe8c0326, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0xcafef2a5, "scsi_schedule_eh" },
	{ 0x77d4cb33, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x50dcf53, "ata_host_init" },
	{ 0x8ac91f24, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xada4bd58, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x8d16543d, "sas_port_get_phy" },
	{ 0xf2c1c133, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0x4d9f95e8, "get_device" },
	{ 0x85ee0be0, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x4770e9a1, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4082d596, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5edc0be9, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0xd346653e, "_dev_info" },
	{ 0xc64b3f8c, "sas_phy_free" },
	{ 0x9baf6ce6, "scsi_eh_finish_cmd" },
	{ 0x482eb1a6, "ata_noop_qc_prep" },
	{ 0x2616ca6d, "ata_sas_port_alloc" },
	{ 0x8a7a268c, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x84464206, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xb24ae78c, "sas_port_mark_backlink" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0xb0799342, "ata_std_qc_defer" },
	{ 0xb124f29c, "ata_sas_port_start" },
	{ 0x7ebe57e3, "ata_scsi_port_error_handler" },
	{ 0xb36487f7, "ata_change_queue_depth" },
	{ 0xdc3358a7, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc980460e, "sas_end_device_alloc" },
	{ 0xc29d8c9e, "mutex_lock_interruptible" },
	{ 0xce4ab2b7, "sas_read_port_mode_page" },
	{ 0x3e133d5c, "sas_expander_alloc" },
	{ 0x63c6d107, "ata_sas_port_stop" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x5423f9dc, "sas_rphy_delete" },
	{ 0x5dc8b4ad, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbb1ef6f9, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xd95235ee, "scsi_host_busy" },
	{ 0x2963b8d0, "ata_sas_async_probe" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x8dd22439, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e771422, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe7970b5e, "ata_sas_port_suspend" },
	{ 0xefd3abb5, "sas_rphy_add" },
	{ 0x831cb21c, "sas_port_delete_phy" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb9cabb28, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe68c6d27, "sas_port_add_phy" },
	{ 0x71944c73, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xc66e2691, "ata_sas_slave_configure" },
	{ 0x9d87d320, "scsi_unblock_requests" },
	{ 0x5323d8c7, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xe14d49e3, "ata_host_put" },
	{ 0xd3472be4, "sas_port_free" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x333e16f9, "ata_std_sched_eh" },
	{ 0x7276ee2a, "scsi_block_requests" },
	{ 0xa8c77ad0, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x83ceedc0, "sas_remove_children" },
	{ 0xdb9f4f78, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfffb62f4, "ata_port_wait_eh" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
