#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde32e93f, "usb_kill_urb" },
	{ 0x6bd5a781, "usb_deregister" },
	{ 0x7261f456, "blk_queue_update_dma_alignment" },
	{ 0xbd92c0f3, "blk_queue_max_hw_sectors" },
	{ 0x1dfd7d22, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xe91b72e1, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x8702a4d, "usb_anchor_urb" },
	{ 0x8ffb4c86, "usb_submit_urb" },
	{ 0x87c496f1, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52bd6e67, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x10ef2501, "usb_kill_anchored_urbs" },
	{ 0x6848916, "scsi_remove_host" },
	{ 0xfef5783b, "scsi_host_put" },
	{ 0xd911248f, "usb_lock_device_for_reset" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x7e5b34ac, "scsi_host_alloc" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x684d3a85, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x211565f3, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1069f14b, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x943ae940, "usb_free_streams" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xed69c4ca, "usb_set_interface" },
	{ 0xa28af5c4, "usb_reset_device" },
	{ 0xe5774116, "usb_alloc_streams" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x72cf3c5c, "scsi_report_bus_reset" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x9d87d320, "scsi_unblock_requests" },
	{ 0x76b76ce7, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x35f4109e, "usb_wait_anchor_empty_timeout" },
	{ 0x7276ee2a, "scsi_block_requests" },
	{ 0xb2d54d39, "scmd_printk" },
	{ 0xe275608b, "scsi_print_command" },
	{ 0xafad8fc5, "usb_free_urb" },
	{ 0xd16ac750, "scsi_scan_host" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x20ad9c8f, "sdev_prefix_printk" },
	{ 0x5dc8b4ad, "scsi_is_host_device" },
	{ 0xdb9f4f78, "scsi_change_queue_depth" },
	{ 0x6eaf56cc, "usb_get_urb" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "652851C0078A541BE648EA2");
MODULE_INFO(rhelversion, "9.5");
