#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xc0c666a2, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x917a0474, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x3f8c42d8, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xeb3af22d, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x5d5a8592, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xaf61c929, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xc5bac373, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xba72a7cf, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xe8abd5e9, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x9db4fac2, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xa84b66db, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x343e6c19, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4082d596, "put_device" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0x5ae523a2, "driver_register" },
	{ 0x86c9e3c3, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3752c1fd, "bus_for_each_dev" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0x2e5326cd, "up_read" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0x808cdbe5, "bus_unregister" },
	{ 0xa54991d, "ida_destroy" },
	{ 0xf5a8f7f4, "bus_register" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x35a753fd, "dma_set_mask" },
	{ 0xb53f4cac, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0xa79d5599, "__init_rwsem" },
	{ 0x5455007b, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd8d018f5, "netlink_capable" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88b02525, "down_write" },
	{ 0x53fa1d67, "up_write" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xde133a3e, "driver_set_override" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xd8082034, "bus_find_device" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.5");
