#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x9da3aa4a, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x4ec0395b, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x462a4582, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa79d5599, "__init_rwsem" },
	{ 0xfc0d920a, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x32d5149a, "config_group_init" },
	{ 0x39179186, "idr_find" },
	{ 0x6a0f87e0, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc08dbf8, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17c2fb47, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0xf9f1a637, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6aa8422e, "kernel_bind" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa47f0a3b, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x210c1a15, "kset_unregister" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xa6dd3219, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd6bac4e5, "kernel_kobj" },
	{ 0x19124fa5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfc20a313, "__tracepoint_sk_data_ready" },
	{ 0xb8fd6583, "call_srcu" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xbc484fa6, "synchronize_srcu" },
	{ 0xd1597a84, "kernel_accept" },
	{ 0x5508eec7, "kernel_recvmsg" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcf25665b, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf8496226, "configfs_unregister_subsystem" },
	{ 0x241333a1, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x571add6f, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e92bc17, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0xe5959f13, "locks_init_lock" },
	{ 0x817b8479, "kernel_sendpage" },
	{ 0x527d3e12, "idr_get_next" },
	{ 0x78c79e48, "__free_pages" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xafc87c90, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x88b02525, "down_write" },
	{ 0xa602bd6b, "init_net" },
	{ 0x53fa1d67, "up_write" },
	{ 0x33d699ae, "simple_open" },
	{ 0x9ba3946a, "configfs_register_subsystem" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xec9a6ba0, "configfs_remove_default_groups" },
	{ 0xd0697c85, "__srcu_read_lock" },
	{ 0xad97537f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0xd4010350, "noop_llseek" },
	{ 0x32ff1e01, "__SCK__tp_func_sk_data_ready" },
	{ 0xa3563f2, "config_group_init_type_name" },
	{ 0x2903c0ee, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xebbb2399, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5fc25527, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a0785f7, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x811cd322, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2393ae84, "idr_destroy" },
	{ 0xb5c3fa5e, "default_llseek" },
	{ 0x12563e43, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0x2ae2948f, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xadbeab67, "kthread_create_on_node" },
	{ 0x6165b759, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e793516, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd38a3aab, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f534bbd, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x6f39494d, "config_item_init_type_name" },
	{ 0x7f9e9443, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x19e954d9, "alloc_pages" },
	{ 0x668e1d59, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa2fc084d, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x421469ce, "__srcu_read_unlock" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0xf6c779a7, "kobject_uevent" },
	{ 0xc87a2054, "sock_release" },
	{ 0xc038657b, "seq_puts" },
	{ 0xec9d409, "remove_wait_queue" },
	{ 0x612bf1ca, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf4a065d5, "tcp_sock_set_nodelay" },
	{ 0x9fd754f5, "seq_open" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xbe5f9b28, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2e5326cd, "up_read" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x5551dd3f, "sock_bind_add" },
	{ 0x6eaacca7, "locks_copy_lock" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x5952defd, "release_sock" },
	{ 0xe1412e70, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xcbb7ce0, "sock_set_keepalive" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "483A5B3CBB8424B49C197A1");
MODULE_INFO(rhelversion, "9.5");
