#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x7a517b1c, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x859b6d53, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x8c86ca0b, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xadcb3e40, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xb8c7ca41, "");
SYMBOL_CRC(fuse_abort_conn, 0xb6d54ebc, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x269c5a9c, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x6c703ce3, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xe19757ad, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x1e340719, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x1a5da89f, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xcd085752, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xe873bdcf, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x6a90a97c, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xe1aa88db, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x978538c0, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x8d55b12f, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x1bf0f4ab, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x1bd6d766, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x2e11fe0c, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xb271203a, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x9826e5f2, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xc50c18b7, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x077f8c94, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x4ff67883, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc1ceaf53, "");
SYMBOL_CRC(fuse_do_ioctl, 0x033e6fc2, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xec9ff2e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x923f89be, "super_setup_bdi_name" },
	{ 0x6c140f2a, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x416070e1, "truncate_inode_pages" },
	{ 0x804c1d32, "generic_copy_file_range" },
	{ 0x9cbe86c8, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9564285a, "pipe_lock" },
	{ 0x68c3c57, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7400360f, "vfs_fsync_range" },
	{ 0x2126b8be, "setattr_prepare" },
	{ 0xf0e329a1, "clear_nlink" },
	{ 0x195d42ee, "file_check_and_advance_wb_err" },
	{ 0x353f8cbe, "d_alloc_parallel" },
	{ 0xa79d5599, "__init_rwsem" },
	{ 0x994d53ed, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xfc0d920a, "misc_deregister" },
	{ 0x8a1f1b26, "clear_inode" },
	{ 0x81806c7b, "inode_to_bdi" },
	{ 0x29c20fa5, "find_pid_ns" },
	{ 0x9afd395a, "grab_cache_page_write_begin" },
	{ 0x78f31ae5, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xab4475fd, "pipe_unlock" },
	{ 0x698bf510, "fs_param_is_string" },
	{ 0xf6a5e8dc, "folio_unlock" },
	{ 0x54fe1fd4, "generic_file_splice_read" },
	{ 0x7d957922, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x44df95e0, "filemap_map_pages" },
	{ 0x1d2667c0, "dump_page" },
	{ 0xf8df5b09, "forget_all_cached_acls" },
	{ 0x924e207c, "init_special_inode" },
	{ 0x5bf6fcc3, "unregister_filesystem" },
	{ 0x9c6b632c, "task_active_pid_ns" },
	{ 0xde31b379, "iov_iter_single_seg_count" },
	{ 0x4fbe9d39, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4e0653b1, "posix_acl_default_xattr_handler" },
	{ 0xb9142432, "filemap_fdatawrite_range" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0xfa5fd0f8, "d_alloc_name" },
	{ 0x3286edb9, "replace_page_cache_folio" },
	{ 0xff8ba63f, "inode_query_iversion" },
	{ 0x82d9fa2e, "iov_iter_advance" },
	{ 0xc7a1389c, "kill_fasync" },
	{ 0xe83d8a, "d_make_root" },
	{ 0x49e539d1, "sb_set_blocksize" },
	{ 0xfb11405a, "fget" },
	{ 0x140eb0a4, "simple_fill_super" },
	{ 0xe58d81e0, "xas_find" },
	{ 0x8374e5b2, "invalidate_mapping_pages" },
	{ 0xa1e79e4, "sync_filesystem" },
	{ 0xab973db6, "noop_dirty_folio" },
	{ 0x1fbe8248, "sget_fc" },
	{ 0xffffb621, "param_set_uint" },
	{ 0xcfa3ef37, "d_splice_alias" },
	{ 0x8e97ae65, "iov_iter_get_pages2" },
	{ 0xdf1309df, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e3d997f, "page_get_link" },
	{ 0x9a7990c6, "generic_permission" },
	{ 0xa73bd1c3, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x48c781fd, "invalidate_inode_pages2_range" },
	{ 0xa47f0a3b, "posix_lock_file" },
	{ 0x84cac09b, "finish_open" },
	{ 0x29af70ab, "dax_iomap_rw" },
	{ 0x4454011, "iput" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x5f807dc8, "logfc" },
	{ 0x3606f583, "__put_devmap_managed_page_refs" },
	{ 0x2e5564c8, "iter_file_splice_write" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x550cd897, "init_pid_ns" },
	{ 0x2ae83c0d, "dax_iomap_fault" },
	{ 0x83e6eba4, "iov_iter_init" },
	{ 0x66b1c75c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x23c310cb, "sysfs_create_mount_point" },
	{ 0x97a02eb, "generic_file_write_iter" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7af2631f, "register_filesystem" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0xa5eb2c10, "folio_add_lru" },
	{ 0x9ad62ba0, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4e819d3a, "sync_inode_metadata" },
	{ 0xc8676abf, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xcf25665b, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x81b23787, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe6f96f0f, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xe0e181a1, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x571add6f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa5560e1e, "fs_param_is_u32" },
	{ 0xa2de06cb, "inode_newsize_ok" },
	{ 0xe7e3feab, "d_drop" },
	{ 0x22643dea, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xb490be1c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c11a055, "bdi_put" },
	{ 0xc0dee483, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x1094ada, "param_get_uint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0x6ba0e72e, "truncate_inode_pages_final" },
	{ 0x85b3ab27, "fs_kobj" },
	{ 0xcf810ec9, "__filemap_set_wb_err" },
	{ 0x9013f994, "simple_dir_operations" },
	{ 0x20313cff, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x78c79e48, "__free_pages" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x34548ba1, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x83772411, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7638caee, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbfa32835, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x101c038a, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2b7dcc, "inode_init_once" },
	{ 0x37255a5b, "file_write_and_wait_range" },
	{ 0x8f024c7f, "compat_ptr_ioctl" },
	{ 0x36038303, "nosteal_pipe_buf_ops" },
	{ 0x69ace69b, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9a865d4e, "inode_nohighmem" },
	{ 0x6fee59de, "release_pages" },
	{ 0x7973a7d4, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x814b655d, "fput" },
	{ 0x88b02525, "down_write" },
	{ 0x53fa1d67, "up_write" },
	{ 0xfa684ac9, "generic_file_read_iter" },
	{ 0x52973baf, "inode_maybe_inc_iversion" },
	{ 0x5b983732, "unlock_page" },
	{ 0x8536b73a, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1c0ec5db, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x81cc8d0a, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x51055b40, "dec_node_page_state" },
	{ 0xb52b8e72, "write_cache_pages" },
	{ 0x3e4efc01, "file_update_time" },
	{ 0x3d834c27, "set_nlink" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x385f876b, "from_kgid" },
	{ 0x58c943e8, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x647ebb1a, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xa56fa9bb, "write_inode_now" },
	{ 0xcaa25725, "dax_writeback_mapping_range" },
	{ 0x6aeceacd, "d_obtain_alias" },
	{ 0x6a1da201, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x48a633a3, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x6e75da55, "finish_no_open" },
	{ 0x73dee284, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xe99202eb, "kill_litter_super" },
	{ 0xdb031359, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x335b45d9, "from_kuid" },
	{ 0x16f5aa22, "current_in_userns" },
	{ 0x21ccef8b, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xc57bfed5, "sysfs_remove_mount_point" },
	{ 0x2ae2948f, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x6a01fc34, "make_kgid" },
	{ 0x90f1898f, "should_remove_suid" },
	{ 0xece784c2, "rb_first" },
	{ 0x27537f25, "d_delete" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x674647e1, "from_kgid_munged" },
	{ 0xb2590998, "end_page_writeback" },
	{ 0xf5383c6, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0xeb2cfa00, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50b0c49d, "nonseekable_open" },
	{ 0x240657f, "dax_finish_sync_fault" },
	{ 0x8b9640fd, "set_page_dirty" },
	{ 0xa2d366b7, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5959542b, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6aba2776, "noop_direct_IO" },
	{ 0x111edc27, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb6b07159, "generic_read_dir" },
	{ 0x94eb88ed, "d_add" },
	{ 0xf29255b2, "set_page_writeback" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xcc32c118, "d_find_alias" },
	{ 0xbd36d039, "invalidate_inode_pages2" },
	{ 0x19e954d9, "alloc_pages" },
	{ 0x836b1c06, "inc_nlink" },
	{ 0xdf2a122, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4318977, "get_tree_bdev" },
	{ 0x50fda778, "set_anon_super_fc" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xdb6c46d8, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbe4cdca9, "generic_delete_inode" },
	{ 0x8679bda0, "deactivate_locked_super" },
	{ 0xfcad20e2, "touch_atime" },
	{ 0x40af2c29, "__percpu_down_read" },
	{ 0x572d5ef2, "__d_lookup_unhash_wake" },
	{ 0x15406866, "set_page_dirty_lock" },
	{ 0xb118dac1, "pid_nr_ns" },
	{ 0x328540fc, "posix_acl_access_xattr_handler" },
	{ 0x8463dc06, "generic_file_open" },
	{ 0x679b651a, "truncate_inode_pages_range" },
	{ 0x9f8158c7, "__put_user_ns" },
	{ 0x6c2d75a4, "__folio_lock" },
	{ 0x9f752c16, "filemap_dirty_folio" },
	{ 0x63ffb7a7, "pagecache_get_page" },
	{ 0xc038657b, "seq_puts" },
	{ 0x673f21cb, "stream_open" },
	{ 0xd58c60a7, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xbd460a7f, "__wake_up_sync" },
	{ 0xbb9a366d, "add_to_pipe" },
	{ 0xd30134bb, "__fs_parse" },
	{ 0xac397059, "dax_layout_busy_page_range" },
	{ 0xad81b9a8, "posix_acl_to_xattr" },
	{ 0x7ff2fe5e, "dget_parent" },
	{ 0x551940ff, "kill_anon_super" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xfbe1a37, "iget5_locked" },
	{ 0x8a4fb652, "security_dentry_init_security" },
	{ 0x8dcbbdb3, "filemap_write_and_wait_range" },
	{ 0x70a0c029, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x197a5411, "generic_write_checks" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0x6ed18c09, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f842b04, "mntget" },
	{ 0xaca6207f, "kmem_cache_alloc_lru" },
	{ 0x999d306f, "filemap_fault" },
	{ 0xe28aa804, "d_invalidate" },
	{ 0x53d5b6e5, "__mark_inode_dirty" },
	{ 0x97b47e38, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2e5326cd, "up_read" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x9aa87fc2, "drop_nlink" },
	{ 0x6ee2057e, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe72a4dd9, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xee39af45, "bdi_set_max_ratio" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2DB8B11DCD404717CC59E3D");
MODULE_INFO(rhelversion, "9.5");
