#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xf09ced70, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x5a386e69, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xfa0c2b8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0x1127ebd6, "crypto_aead_setauthsize" },
	{ 0x409f5109, "crypto_aead_setkey" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x96ab9683, "xfrm_state_lookup" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0x825a8e12, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1ae2481a, "ip6_redirect" },
	{ 0x6d7992b, "__xfrm_state_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4bd7ecfe, "napi_pp_put_page" },
	{ 0x3606f583, "__put_devmap_managed_page_refs" },
	{ 0xdf2a122, "__folio_put" },
	{ 0xfa2908dc, "sk_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfaddedca, "skb_to_sgvec" },
	{ 0xfb578fc5, "memset" },
	{ 0x5fce1d20, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0xe323b017, "skb_page_frag_refill" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xccdf59d, "xfrm_trans_queue_net" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0xe75e6f4, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda64a6ee, "ipv6_skip_exthdr" },
	{ 0x6724b7ea, "km_new_mapping" },
	{ 0xe8b1c39e, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1562fcfe, "xfrm_input_resume" },
	{ 0xb86f858e, "skb_cow_data" },
	{ 0x3a5eb99c, "crypto_aead_decrypt" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x762271e, "__inet6_lookup_established" },
	{ 0xcaa16a5f, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x40f7a6dc, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x58748c47, "espintcp_queue_out" },
	{ 0x554254ad, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3143b261, "xfrm_state_mtu" },
	{ 0x3892aac2, "xfrm_dev_resume" },
	{ 0x3d2556cc, "xfrm_output_resume" },
	{ 0x3d5ab64c, "__skb_ext_del" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xb58611d5, "xfrm6_rcv" },
	{ 0x83d39d02, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x134f558f, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xed2e1e23, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xce7649e2, "xfrm6_protocol_register" },
	{ 0xc035b659, "xfrm_unregister_type" },
	{ 0x688034fd, "crypto_destroy_tfm" },
	{ 0x256845ec, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd02c48d0, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "C2EA4915414A75E8E73E17F");
MODULE_INFO(rhelversion, "9.5");
