#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x9d347b3b, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xba45151d, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x6edef81f, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x86942da3, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xb0cbf3f4, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x8cd6e419, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x54cdb4ba, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x401648ea, "_gpl");
SYMBOL_CRC(ip_set_test, 0xd54af71e, "_gpl");
SYMBOL_CRC(ip_set_add, 0x12149450, "_gpl");
SYMBOL_CRC(ip_set_del, 0xa1f5cc53, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x3b5886a0, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x685b60eb, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x767b2308, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x922be3ef, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0x6a327339, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x5c7bc530, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x8f8a4491, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x2fbad35a, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x604eeeb3, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x72c676e3, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x313d0803, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7b44c43, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf0ce3e2b, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6122603e, "nf_unregister_sockopt" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xda64a6ee, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0xafc87c90, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xc8b7a0f2, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0xe78bbef0, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa0ff9a31, "nfnetlink_subsys_unregister" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd38a3aab, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa2fc084d, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x624fa304, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "CFBDF39E30823140846790B");
MODULE_INFO(rhelversion, "9.5");
