#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x2f4be2a9, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x65b15772, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x75a58014, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xe93a0ea0, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x50c3d49c, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xe40e1b06, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc92167e4, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xde0eb7d1, "");
SYMBOL_CRC(ip_vs_conn_put, 0x7076d7b6, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x8dfbd3bf, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x8340659d, "");
SYMBOL_CRC(register_ip_vs_app, 0x9e30c31a, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xfe76b066, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xf415a7d4, "");
SYMBOL_CRC(ip_vs_proto_get, 0xf4c6e8e2, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x24d34183, "");
SYMBOL_CRC(register_ip_vs_pe, 0xfed23204, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xe606a6ab, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x0002b921, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc141535e, "nf_ct_ext_add" },
	{ 0xc4a2b18e, "nf_conntrack_find_get" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0xcf000ca3, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdacf0b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x225b0c3f, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3950270e, "proc_dointvec_jiffies" },
	{ 0xe653f369, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa631085, "consume_skb" },
	{ 0xbaba5797, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x7500287f, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x313d0803, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x33ea7d22, "nf_ct_netns_get" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6aa8422e, "kernel_bind" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0x8234d8e4, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb30e0da, "ip6_route_me_harder" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc7eca62a, "__module_get" },
	{ 0x75d3783a, "ip_route_output_flow" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xddc81b8, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xe3d05b6e, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4843399e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa8d4e1c, "pskb_expand_head" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0x241333a1, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6122603e, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3fb24879, "nf_register_net_hooks" },
	{ 0x819e0fa3, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0x7ee1d17b, "ipv6_sock_mc_join" },
	{ 0xafc87c90, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x8b5212bc, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x23a945a0, "__skb_get_hash" },
	{ 0xa602bd6b, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa47cb556, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc634cdf8, "nf_conntrack_alter_reply" },
	{ 0x6466bea5, "ip_route_me_harder" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x5fc25527, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe611726, "proc_doulongvec_minmax" },
	{ 0x86517ff5, "nf_ct_expect_alloc" },
	{ 0x5eef35b5, "skb_ensure_writable" },
	{ 0x6159fd7f, "iov_iter_kvec" },
	{ 0x591bf7b9, "ip_mc_join_group" },
	{ 0x3e9bf679, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe78bbef0, "ns_capable" },
	{ 0x4fc0e25c, "nf_unregister_net_hooks" },
	{ 0x58c7c163, "inet_select_addr" },
	{ 0x847ce0a0, "unregister_pernet_device" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe8487cb5, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a0785f7, "kthread_stop" },
	{ 0xc195b50b, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x54c32ef, "kernel_connect" },
	{ 0x134f558f, "skb_checksum" },
	{ 0xbdfb4273, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x75c98868, "__icmpv6_send" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x3f2db41d, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x45ef35c3, "nf_hook_slow" },
	{ 0x7e540627, "mutex_trylock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xadbeab67, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x6f67f623, "nf_ct_deliver_cached_events" },
	{ 0xa1492b24, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44a83f59, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2fb0bc28, "__icmp_send" },
	{ 0x8c4c244, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x198d7bae, "skb_set_owner_w" },
	{ 0x84e974d7, "__skb_checksum" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7f9e9443, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x6ca34135, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e3a93d4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x7e767b83, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbfbbcdc, "proc_create_net_single" },
	{ 0x8565fd1c, "ipv4_update_pmtu" },
	{ 0xa2187aac, "nf_defrag_ipv6_enable" },
	{ 0x4a5dd219, "dst_release" },
	{ 0xc87a2054, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x312caa06, "proc_dointvec" },
	{ 0xc038657b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa4a15cbb, "unregister_net_sysctl_table" },
	{ 0x7a7c7be4, "ip_local_out" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xd060cc32, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x624fa304, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0xed6f74f8, "kernel_sendmsg" },
	{ 0xe6097fb5, "nf_ct_netns_put" },
	{ 0xbadd299e, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x5952defd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe876739, "proc_dointvec_minmax" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.5");
