#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x00d3f0f5, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x5e35a400, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x7e63eb81, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x25e438a5, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xb63d9240, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x4c9841fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc141535e, "nf_ct_ext_add" },
	{ 0xd61ec3ea, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7d700582, "nsh_pop" },
	{ 0xc4a2b18e, "nf_conntrack_find_get" },
	{ 0x256e6d4c, "nf_ct_set_timeout" },
	{ 0xba8ba4d2, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6d988997, "dev_fill_metadata_dst" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xd186681c, "nf_ct_handle_fragments" },
	{ 0x7edd7f82, "eth_mac_addr" },
	{ 0xa09bfac3, "skb_put" },
	{ 0xc5557bbe, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x54cc2d47, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa631085, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xef3291ab, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x467884c2, "skb_eth_pop" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xca2a8eb5, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x713eacae, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xee70f25f, "nf_ct_helper" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x3d5ab64c, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x7ea64296, "rtnl_delete_link" },
	{ 0x90960a17, "rtnl_link_register" },
	{ 0x1959fd3f, "nf_connlabels_put" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0xe75e6f4, "___pskb_trim" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf7d16e86, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x93a878fc, "dev_set_promiscuity" },
	{ 0xab880bae, "nf_ct_destroy_timeout" },
	{ 0x46507b92, "nf_ct_add_helper" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x691661ae, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7322d58f, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xac16b087, "nf_ct_skb_network_trim" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0xe8b1c39e, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x2ecd08da, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbb2fcdf1, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa8d4e1c, "pskb_expand_head" },
	{ 0xf3126110, "skb_csum_hwoffload_help" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0x992343dd, "nf_connlabels_replace" },
	{ 0xc7833677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c9addc3, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x64b61a7d, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x19c23adf, "netdev_rx_handler_unregister" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0x10e5497e, "skb_eth_push" },
	{ 0x8b5cbfc7, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0xf3d49b53, "skb_mpls_pop" },
	{ 0x375cb5e4, "skb_vlan_pop" },
	{ 0x98d6edd9, "dst_init" },
	{ 0xafc87c90, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xafbe872d, "rtnl_link_unregister" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0x23a945a0, "__skb_get_hash" },
	{ 0xa602bd6b, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x5e731983, "ipv6_stub" },
	{ 0xe3f3fcb7, "skb_mpls_update_lse" },
	{ 0xab2b8737, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0xfdeea01d, "bpf_trace_run5" },
	{ 0xe8353024, "dev_get_by_index_rcu" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x48ffa45e, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0x5eef35b5, "skb_ensure_writable" },
	{ 0x4c59d8b, "free_netdev" },
	{ 0x1740f11e, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x847ce0a0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5486b59, "ethtool_op_get_link" },
	{ 0xc195b50b, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x90fa778d, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x3f2db41d, "nf_ct_delete" },
	{ 0xcf44478a, "nf_conncount_init" },
	{ 0x946d7805, "skb_vlan_push" },
	{ 0x924111d5, "dev_get_tstats64" },
	{ 0xb76d6ee6, "netif_rx" },
	{ 0x97918767, "__netdev_alloc_skb" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x1b5386f8, "netdev_master_upper_dev_link" },
	{ 0x1c8e2e12, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0x82190c49, "inet_proto_csum_replace16" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcc2bb69b, "skb_scrub_packet" },
	{ 0x6f67f623, "nf_ct_deliver_cached_events" },
	{ 0x44a83f59, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4d2ca92f, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xe08d534a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x84e974d7, "__skb_checksum" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3bdaf037, "inet_proto_csum_replace4" },
	{ 0x7d5e8717, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x22b6e222, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe9b9242b, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x52a9bca1, "dev_get_by_name" },
	{ 0x853227fb, "skb_clone" },
	{ 0x41575b85, "metadata_dst_alloc" },
	{ 0x4a5dd219, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb3ca816f, "peernet2id_alloc" },
	{ 0x736d5023, "nf_ct_get_tuplepr" },
	{ 0x9b2f65e2, "netdev_rx_handler_register" },
	{ 0xb3bd4b58, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0xd5421b1f, "dev_disable_lro" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7c62b4df, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0xa20f99ee, "nf_ct_tmpl_free" },
	{ 0xbd0d71a0, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb3843441, "__skb_gso_segment" },
	{ 0x2e5326cd, "up_read" },
	{ 0x541a5462, "skb_mpls_push" },
	{ 0xbadd299e, "register_pernet_device" },
	{ 0x9f9ca98a, "nf_conntrack_in" },
	{ 0x9c8d7102, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xa7830c2, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x104e477c, "__skb_vlan_pop" },
	{ 0x4bcbc25b, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "5EBF14E61B9AAB08E5E789B");
MODULE_INFO(rhelversion, "9.5");
