#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0x76fcf037, "");
SYMBOL_CRC(gss_krb5_checksum, 0x27f22ae4, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x583c76aa, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0xfa145475, "");
SYMBOL_CRC(krb5_etm_checksum, 0x424775a7, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd709743f, "crypto_skcipher_encrypt" },
	{ 0xb0b82612, "crypto_alloc_ahash" },
	{ 0x61a168f1, "xdr_buf_trim" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfb7cddda, "xdr_process_buf" },
	{ 0x1fa3f6db, "read_bytes_from_xdr_buf" },
	{ 0x5de8f8, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9c32b3a, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6e9871f0, "gss_mech_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x688034fd, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd173cccd, "crypto_skcipher_decrypt" },
	{ 0x1b3e22a8, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5822603a, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1918a120, "xdr_buf_subsegment" },
	{ 0xabecc560, "crypto_alloc_sync_skcipher" },
	{ 0x51430ae4, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8dd8, "crypto_shash_final" },
	{ 0xd1904c0b, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xf86ff543, "write_bytes_to_xdr_buf" },
	{ 0xa77eae31, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "7821F90262CC4AC5E9419FB");
MODULE_INFO(rhelversion, "9.5");
