#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xbbb1e3aa, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x10735908, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x7e25c4b5, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xb5423309, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x50cccaad, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xa89f4722, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xdc5a7fe5, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x8c842b13, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x77dd7d45, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x225c83a8, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xa01dbef1, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x7ac922e6, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x117bb98e, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x2e605159, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x01077c68, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x4a714b18, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x6b89c3e1, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x4d1318eb, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x7e00a521, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x7478aff1, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x1b9c11f6, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x41482157, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x5fbe8de4, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xfcfb4aa7, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x14ea95cf, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x64e2f175, "sock_map_close" },
	{ 0xfed0d26c, "sock_queue_rcv_skb_reason" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfc0d920a, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa631085, "consume_skb" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc23314c9, "prepare_to_wait" },
	{ 0x157f3bba, "sock_map_unhash" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x19124fa5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc7eca62a, "__module_get" },
	{ 0x5610d9cf, "sk_stream_error" },
	{ 0x38f97157, "sk_msg_recvmsg" },
	{ 0xba66c43c, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1239b8a4, "__put_cred" },
	{ 0x8f07e80e, "sk_error_report" },
	{ 0xb7e00dba, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c39fbec, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x53c29119, "sock_register" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0xcd9e3fca, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xafc87c90, "module_put" },
	{ 0x6ccc1661, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xfa2908dc, "sk_free" },
	{ 0x93d0db41, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4328b0d, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x56597509, "sock_recv_errqueue" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc29d8c9e, "mutex_lock_interruptible" },
	{ 0x273b3e76, "sk_alloc" },
	{ 0x68d6d7d5, "sock_no_socketpair" },
	{ 0x2ae2948f, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x48d77745, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xc3987277, "sock_no_sendpage" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x50b0c49d, "nonseekable_open" },
	{ 0x46d144c2, "sk_psock_drop" },
	{ 0xe08d534a, "__dev_queue_xmit" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x853227fb, "skb_clone" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xec9d409, "remove_wait_queue" },
	{ 0x1062cc51, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe6da619c, "sock_setsockopt" },
	{ 0xf54fd4e3, "sock_init_data" },
	{ 0x5952defd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A65FFC99FEFF720CACF8119");
MODULE_INFO(rhelversion, "9.5");
