#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x7054b622, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xfdc3fca2, "");
SYMBOL_CRC(wiphy_register, 0x7bb7d177, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xc2f6bfa4, "");
SYMBOL_CRC(wiphy_unregister, 0xb06c4ae1, "");
SYMBOL_CRC(wiphy_free, 0x5e69dd77, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x7fc1c065, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xd78b35c5, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x200655b9, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x71735d69, "");
SYMBOL_CRC(wiphy_work_queue, 0xb9894935, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x01dc326c, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x309efc50, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xc3390fb9, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xc092d297, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x73bfb367, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x41d54f89, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x3564714c, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xae91cc18, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xe7674469, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x5d487353, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x2182915c, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x95a5b767, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x6b78467e, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x6f08fed0, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x34aaa854, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xead7e8c9, "");
SYMBOL_CRC(cfg80211_get_station, 0x59d0de52, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x345f46b2, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xe9eb1a44, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x25eb6d37, "");
SYMBOL_CRC(get_wiphy_regdom, 0x2990d3ff, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x101e1dda, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x00240959, "");
SYMBOL_CRC(regulatory_hint, 0xc4676b0a, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xa99ed13f, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xf9d9c3ef, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x340da08e, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0x301f9919, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x9db97c78, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x0619c4e2, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xf5cf5b56, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xb0b613d7, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x7887f60e, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x4992f10c, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xf827db1c, "");
SYMBOL_CRC(cfg80211_ref_bss, 0xab6fce7d, "");
SYMBOL_CRC(cfg80211_put_bss, 0xb4475501, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xee8bbe63, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x348ca6b7, "");
SYMBOL_CRC(nl80211_send_chandef, 0xb00f656c, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x46d16969, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x992f75ae, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xfae88bd0, "");
SYMBOL_CRC(cfg80211_nan_match, 0xf47e08dc, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x45d5b097, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x542d2ff4, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x514c69f0, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x1189fed0, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x26ec90c5, "");
SYMBOL_CRC(cfg80211_links_removed, 0x1b4e59c4, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x0a9d6f7b, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xac9c4d1a, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xca623f95, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x00b4002c, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x70f73cc7, "");
SYMBOL_CRC(cfg80211_new_sta, 0xab9b23c8, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xf36a8c80, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x1248dab5, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xde8af709, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x31098171, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xfbedf6d4, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x6cf9392e, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x65ceb95e, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xa7d140ac, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x94a6b743, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xc2cb141f, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x03bbf57e, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x3158c4d2, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xbd3be93e, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xe655ac01, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x0bf6c8c2, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x74942dce, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x1cce3b90, "");
SYMBOL_CRC(cfg80211_probe_status, 0x96a76ebe, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xe67c04a1, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x2f0b6e7b, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x5448c835, "");
SYMBOL_CRC(cfg80211_ft_event, 0x804274e4, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x04a94316, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xec2c0eb5, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x43378a73, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xcaf29e44, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xf8c7c869, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xd4b3d4c8, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xe1c68bdf, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xdab6280d, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x40a61566, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xa35e731e, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xaefea42f, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x65eef535, "");
SYMBOL_CRC(cfg80211_cac_event, 0x1d12ee1a, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x88b8dbc9, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x1b34da14, "");
SYMBOL_CRC(cfg80211_connect_done, 0x78ca1c09, "");
SYMBOL_CRC(cfg80211_roamed, 0xc121828d, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x7ad40172, "");
SYMBOL_CRC(cfg80211_disconnected, 0xad48bcca, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x8803bd75, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x0d361e57, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x564d1ad2, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x2fee377a, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x48a4acfd, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x109a65f8, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x2abdfdad, "");
SYMBOL_CRC(wdev_chandef, 0x1033a86f, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x946bd5d1, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xfcd7aa08, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xb3dcb087, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xb3a6b721, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc6a52b8c, "verify_pkcs7_signature" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xa09bfac3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0xa631085, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x536dd35, "bpf_trace_run6" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77d4cb33, "request_firmware" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x5455007b, "device_initialize" },
	{ 0xfcbeb205, "skb_add_rx_frag" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x8be331a8, "bpf_trace_run2" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6493f607, "genlmsg_multicast_allns" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0x3f1dfffb, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbb2fcdf1, "netlink_broadcast_filtered" },
	{ 0x2cae03f5, "keyring_alloc" },
	{ 0xe4ba4404, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7a159d60, "device_rename" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0xc7833677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4082d596, "put_device" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0x3a782732, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa4dc7c5f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x701b1351, "inet_csk_get_port" },
	{ 0xeb83891f, "key_put" },
	{ 0x10b4b162, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2d379b36, "__dev_get_by_index" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0xa602bd6b, "init_net" },
	{ 0x572cc2c4, "request_firmware_nowait" },
	{ 0xab2b8737, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0x53148f86, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb2e5053, "init_uts_ns" },
	{ 0x4c74355b, "platform_device_unregister" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8ddc5ddc, "dev_get_by_index" },
	{ 0xfdeea01d, "bpf_trace_run5" },
	{ 0x627f630f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xebbb2399, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4aa6570b, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x847ce0a0, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x57bc6b0e, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x55361974, "bpf_trace_run1" },
	{ 0xf4fdf38d, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x581f956d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0xb76d6ee6, "netif_rx" },
	{ 0x97918767, "__netdev_alloc_skb" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0x174b00a3, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9e00fbd8, "get_net_ns_by_pid" },
	{ 0x51cb37c5, "debugfs_rename" },
	{ 0x56b5a6b2, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0xc87a2054, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x5c7c2823, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x624fa304, "param_ops_int" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0xc53756a, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbadd299e, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x68acebfc, "get_net_ns_by_fd" },
	{ 0xc38ab485, "class_register" },
	{ 0x4f44b97b, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "D39F85458CF49E8511FD175");
MODULE_INFO(rhelversion, "9.5");
