#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x2d94cd83, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0x158b874f, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x90a5c3b4, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x2478a954, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x64e9dda6, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xc9844dba, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x0ec5ad2e, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x02a78603, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x3e8a9cb7, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x7296beee, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xda736ceb, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x9a4adb82, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x62f74175, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x5f6ce249, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x9f22aef6, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x6661724b, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x5806393c, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xee533fe3, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x213d0b90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf75d8158, "gpiod_get_value_cansleep" },
	{ 0x7b081b77, "regcache_cache_only" },
	{ 0x66404827, "regcache_sync" },
	{ 0x6ccce2f1, "regmap_write" },
	{ 0x861e08ed, "devm_request_threaded_irq" },
	{ 0xca30e6d, "cs_amp_get_efi_calibration_data" },
	{ 0x776495e7, "regmap_raw_read" },
	{ 0xc5381dad, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddf987f5, "gpiod_get_array_optional" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd346653e, "_dev_info" },
	{ 0xa61cbc61, "regmap_multi_reg_write_bypassed" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x47bf657, "gpiod_put_array" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61a98209, "regmap_read_bypassed" },
	{ 0xf011e9bd, "regmap_read" },
	{ 0xf9121bba, "__pm_runtime_resume" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe6eea9f0, "_dev_crit" },
	{ 0x629457b0, "regmap_update_bits_base" },
	{ 0xd110172, "dev_err_probe" },
	{ 0xfffed634, "regmap_multi_reg_write" },
	{ 0xc0261dc4, "__pm_runtime_suspend" },
	{ 0xd053f8a8, "regmap_register_patch" },
	{ 0x86147d89, "__pm_runtime_idle" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.5");
