#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xdc3288be, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xb6586bbf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xf73abcb8, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xba88227f, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xf833283c, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x0aee7d26, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xfd543570, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xad4459fa, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xd5f44a1c, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x9e596928, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x0ad1617b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xc0bb9085, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xb7c83967, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xb1fb8870, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x6d6572d9, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xd0a04dc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x5285ee19, "vmf_insert_pfn" },
	{ 0x73a1f5bf, "ww_mutex_lock_interruptible" },
	{ 0xe84cf70d, "drm_gem_get_pages" },
	{ 0x811bf03, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8374e5b2, "invalidate_mapping_pages" },
	{ 0xb01dac7d, "ww_mutex_unlock" },
	{ 0x7da28d65, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x41925206, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6773b74, "drm_gem_create_mmap_offset" },
	{ 0x74a14229, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a6f6841, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd89d5988, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb96f3d7, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6bb8e2ba, "drm_gem_vm_close" },
	{ 0x8a3b7547, "drm_gem_vm_open" },
	{ 0x5eec38f3, "drm_gem_object_release" },
	{ 0x8d118612, "ww_mutex_lock" },
	{ 0x9f949c99, "vmap" },
	{ 0x3f523f4e, "drm_gem_handle_create" },
	{ 0x87b0448b, "__drm_dev_dbg" },
	{ 0xed73d472, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb073819, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedb237d2, "shmem_truncate_range" },
	{ 0x2b57d553, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7cb92174, "dma_map_sgtable" },
	{ 0x28da7ef5, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd8e03d8, "dma_unmap_sg_attrs" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xf61e6753, "drm_gem_put_pages" },
	{ 0x11712d78, "drm_gem_private_object_fini" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xb968829d, "drm_prime_gem_destroy" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.5");
