#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x0d83e43e, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xf2052349, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x919b3e1c, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x9d78f1e8, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x4753e961, "");
SYMBOL_CRC(sdw_show_ping_status, 0x7b21d465, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x209b9b94, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x1de55a5c, "");
SYMBOL_CRC(sdw_write_no_pm, 0xeb3753f4, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xcd73c105, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xc35900c4, "");
SYMBOL_CRC(sdw_read_no_pm, 0x3484e24f, "");
SYMBOL_CRC(sdw_update_no_pm, 0xb483c31d, "");
SYMBOL_CRC(sdw_update, 0x5b178a1a, "");
SYMBOL_CRC(sdw_nread, 0x6fb90986, "");
SYMBOL_CRC(sdw_nwrite, 0x33704d7a, "");
SYMBOL_CRC(sdw_read, 0xb88e47fe, "");
SYMBOL_CRC(sdw_write, 0xeafc3376, "");
SYMBOL_CRC(sdw_compare_devid, 0xb4579364, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xad028992, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xbd6b344c, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xcd9c5bb9, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x6db086e5, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x95b393ba, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x7186d5b0, "");
SYMBOL_CRC(sdw_slave_add, 0x47394e23, "");
SYMBOL_CRC(sdw_master_read_prop, 0x1a2796b3, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x19523c15, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xf3ee9a87, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xe191e9a4, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x4a938a0e, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xdb4656f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x8c29acc, "device_property_present" },
	{ 0x92276a9, "devm_device_add_groups" },
	{ 0xc99241e7, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x90323500, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe6d5ae59, "device_unregister" },
	{ 0x1f409f83, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0xf15372f1, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6dd3219, "seq_lseek" },
	{ 0x5b0013f9, "dev_pm_domain_attach" },
	{ 0x75bddfca, "devm_device_add_group" },
	{ 0xa426fdc0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd33e49a1, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f6e877a, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x4082d596, "put_device" },
	{ 0xfbf43bdc, "pm_runtime_enable" },
	{ 0x2ea32382, "device_property_read_u32_array" },
	{ 0xc32bca00, "fwnode_property_read_u32_array" },
	{ 0xee93276c, "dev_pm_domain_detach" },
	{ 0x684ba97f, "pm_generic_runtime_suspend" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x808cdbe5, "bus_unregister" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xebbb2399, "debugfs_remove" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x86c9e3c3, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc7e6860d, "device_register" },
	{ 0xd77ac075, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x972ef9f1, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeb54fc48, "devm_kasprintf" },
	{ 0x6165b759, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83e84102, "fwnode_property_present" },
	{ 0x2f534bbd, "debugfs_create_file" },
	{ 0xf9121bba, "__pm_runtime_resume" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x4d77f961, "device_get_named_child_node" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x262574c9, "irq_create_mapping_affinity" },
	{ 0x612bf1ca, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x3ed7fc0d, "acpi_dev_for_each_child" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xc0261dc4, "__pm_runtime_suspend" },
	{ 0xc8d3ee6c, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x79566f1b, "__pm_runtime_use_autosuspend" },
	{ 0xbe5f9b28, "single_open" },
	{ 0xb757f616, "__pm_runtime_disable" },
	{ 0xe6391202, "debugfs_create_dir" },
	{ 0x5ae523a2, "driver_register" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x86147d89, "__pm_runtime_idle" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xf5a8f7f4, "bus_register" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA7C3DBD9454D60C45788CA");
MODULE_INFO(rhelversion, "9.5");
