#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x2776e9fb, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x2bafbfac, "");
SYMBOL_CRC(fscache_acquire_cache, 0xff191e0c, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x6a4248e6, "");
SYMBOL_CRC(fscache_add_cache, 0x52191947, "");
SYMBOL_CRC(fscache_io_error, 0x169ccb48, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xf570bf2f, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x16e28af6, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x61905bdc, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xbcf5ccf2, "");
SYMBOL_CRC(fscache_caching_failed, 0x7214326a, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x1a9fc0c6, "");
SYMBOL_CRC(__fscache_use_cookie, 0xc1c02663, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x0f4c1615, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x589e7c7e, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xf48163b3, "");
SYMBOL_CRC(fscache_put_cookie, 0xd0f23c17, "");
SYMBOL_CRC(fscache_get_cookie, 0x36a321bc, "");
SYMBOL_CRC(__fscache_invalidate, 0x8bfd74a5, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x60b62740, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xf73053b7, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x1f2d6185, "");
SYMBOL_CRC(fscache_dirty_folio, 0xa55f3724, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xb8d890b6, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x8430ddf9, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x9bdf3c54, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xf709ac6f, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x530d1a5a, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x98449a52, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xce535ac7, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x371076b9, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xc5ac028b, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x6880b143, "");
SYMBOL_CRC(fscache_end_volume_access, 0x37c19580, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xc72905ad, "");
SYMBOL_CRC(fscache_put_volume, 0x1fd058cd, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xda5f9512, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x99e03900, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0x19c2b833, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0xe58d81e0, "xas_find" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xa8667ae2, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8be331a8, "bpf_trace_run2" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xee3620c7, "remove_proc_subtree" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x7638caee, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0x88b02525, "down_write" },
	{ 0x53fa1d67, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfdeea01d, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x55361974, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1d52a4a7, "proc_mkdir" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97d2bd40, "folio_end_private_2" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0xd38a3aab, "rt_read_lock" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa2fc084d, "rt_read_unlock" },
	{ 0x4e3a93d4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0x9f752c16, "filemap_dirty_folio" },
	{ 0xc038657b, "seq_puts" },
	{ 0x35b23267, "iov_iter_xarray" },
	{ 0x1f177712, "proc_create_single_data" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6804614a, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2e5326cd, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "1096B7A4E946D261647D9C0");
MODULE_INFO(rhelversion, "9.5");
