#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x82418c1b, "");
SYMBOL_CRC(wpan_phy_for_each, 0x5b1a650b, "");
SYMBOL_CRC(wpan_phy_new, 0x667345ad, "");
SYMBOL_CRC(wpan_phy_register, 0x54fb1c6b, "");
SYMBOL_CRC(wpan_phy_unregister, 0x6fabb256, "");
SYMBOL_CRC(wpan_phy_free, 0xfb68144d, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xb4273dd2, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x8f54b8c0, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x3d09cb82, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x4af145fc, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3acfd5c9, "dev_set_name" },
	{ 0x94683282, "trace_output_call" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x5455007b, "device_initialize" },
	{ 0x12e08d8e, "genlmsg_put" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8be331a8, "bpf_trace_run2" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x4d9f95e8, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbb2fcdf1, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7a159d60, "device_rename" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4082d596, "put_device" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0xba027fb9, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2d379b36, "__dev_get_by_index" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0xa602bd6b, "init_net" },
	{ 0xab2b8737, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbfcd9a7b, "device_add" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0xd82a11e7, "netlink_unicast" },
	{ 0x8ddc5ddc, "dev_get_by_index" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0x4aa6570b, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x847ce0a0, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x55361974, "bpf_trace_run1" },
	{ 0xf4fdf38d, "device_del" },
	{ 0xcf48644c, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0x174b00a3, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e00fbd8, "get_net_ns_by_pid" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2600e5b, "device_match_name" },
	{ 0x52a9bca1, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x319785b8, "genl_unregister_family" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2dd2ffab, "genl_register_family" },
	{ 0xc53756a, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbadd299e, "register_pernet_device" },
	{ 0x68acebfc, "get_net_ns_by_fd" },
	{ 0xc38ab485, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xb2c25b3d, "class_find_device" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "06F4B01C168E0ABE701EE96");
MODULE_INFO(rhelversion, "9.5");
