#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x758b0293, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xd2f70484, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xc0881b91, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x9683148b, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x0b9af92b, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x8b02a1ed, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8f924535, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x3e96df8d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x072c5485, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x9fc8c5c8, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x330ca000, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x040db114, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e60cd8d, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xa602bd6b, "init_net" },
	{ 0x9c9addc3, "alloc_netdev_mqs" },
	{ 0x7435569b, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4c59d8b, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xafbe872d, "rtnl_link_unregister" },
	{ 0xbaba5797, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdbc7d285, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0x155a80f2, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x81e23fa5, "netdev_state_change" },
	{ 0xe78bbef0, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x478a128, "dst_cache_get" },
	{ 0x819e0fa3, "ip6_route_output_flags" },
	{ 0x225b0c3f, "xfrm_lookup" },
	{ 0x8c4c244, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xcc2bb69b, "skb_scrub_packet" },
	{ 0xa1492b24, "skb_realloc_headroom" },
	{ 0x198d7bae, "skb_set_owner_w" },
	{ 0xa631085, "consume_skb" },
	{ 0x69bd96e6, "ipv6_push_frag_opts" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xcda1250b, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0xbff1dedb, "ip6_dst_hoplimit" },
	{ 0x8b5212bc, "ipv6_dev_get_saddr" },
	{ 0x84285705, "neigh_destroy" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0x1ae2481a, "ip6_redirect" },
	{ 0x825a8e12, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddc81b8, "iptunnel_handle_offloads" },
	{ 0x5b58a599, "icmpv6_ndo_send" },
	{ 0xba84e1d5, "icmp_ndo_send" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x853227fb, "skb_clone" },
	{ 0xab2b8737, "skb_pull" },
	{ 0x75c98868, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe5a32d98, "gro_cells_receive" },
	{ 0xc7833677, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf56d4ea1, "__iptunnel_pull_header" },
	{ 0x41575b85, "metadata_dst_alloc" },
	{ 0xcc4f2ed9, "__xfrm_policy_check" },
	{ 0x75d3783a, "ip_route_output_flow" },
	{ 0x6dd539f2, "ip_route_input_noref" },
	{ 0x2fb0bc28, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x924111d5, "dev_get_tstats64" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb7f2239, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7af73874, "ipv6_chk_addr_and_flags" },
	{ 0xe8353024, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xbadd299e, "register_pernet_device" },
	{ 0xde5a6947, "xfrm6_tunnel_register" },
	{ 0x90960a17, "rtnl_link_register" },
	{ 0xd59b6ee4, "xfrm6_tunnel_deregister" },
	{ 0x847ce0a0, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd104cb77, "unregister_netdevice_queue" },
	{ 0xb2beaad, "rt6_lookup" },
	{ 0x4a5dd219, "dst_release" },
	{ 0x2d379b36, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.5");
