#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xdaa295c2, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x1b8f69be, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x78035b37, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x89f568a3, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x37e6aa6f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe66805, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x786a428f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd171617c, "inet_addr_type_table" },
	{ 0xdacf0b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x46bbdcaa, "inet_unregister_protosw" },
	{ 0x39179186, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a813eb5, "sock_wfree" },
	{ 0xa09bfac3, "skb_put" },
	{ 0xe653f369, "register_net_sysctl" },
	{ 0xc9123481, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbff1dedb, "ip6_dst_hoplimit" },
	{ 0xa631085, "consume_skb" },
	{ 0x5692e2fa, "inet6_add_offload" },
	{ 0x4f498c20, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6c36bb16, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc1ba62f7, "l3mdev_fib_table_by_index" },
	{ 0x3b293ae1, "udp_sock_create4" },
	{ 0xe85cacfd, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6ffe0bfc, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x4e408ec7, "skb_segment" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x33b7be4e, "__ip_dev_find" },
	{ 0xa7840855, "udp_tunnel6_xmit_skb" },
	{ 0x97878f3a, "sock_common_getsockopt" },
	{ 0x20c13666, "inet_bind" },
	{ 0xa5826b6d, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc23314c9, "prepare_to_wait" },
	{ 0x55b04e53, "fd_install" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8973a774, "inet_register_protosw" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xcc4f2ed9, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xfc20a313, "__tracepoint_sk_data_ready" },
	{ 0x8be331a8, "bpf_trace_run2" },
	{ 0x2a339d2d, "sock_common_setsockopt" },
	{ 0xee3620c7, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x75d3783a, "ip_route_output_flow" },
	{ 0x1ce90d09, "rhashtable_walk_enter" },
	{ 0xd77a238f, "kmem_cache_create" },
	{ 0x67bc40c6, "__sk_mem_schedule" },
	{ 0x726018cc, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe9a45eb8, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4843399e, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8f07e80e, "sk_error_report" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0x2c821c8b, "put_cmsg" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xf879d130, "inet_sock_destruct" },
	{ 0x688034fd, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xb5bed070, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e15aa25, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xbfaad878, "inet_getname" },
	{ 0x2c39fbec, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x4a081ee8, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0x74a35c9e, "kmem_cache_alloc" },
	{ 0xcd9e3fca, "proto_register" },
	{ 0x62a6b5cf, "skb_copy_expand" },
	{ 0xa1f4009c, "__wake_up_sync_key" },
	{ 0x880a6201, "__sock_recv_ts_and_drops" },
	{ 0xdb98d297, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x5bb877be, "inet_ctl_sock_create" },
	{ 0xa98b8aba, "inet_ioctl" },
	{ 0xbfd1b87b, "reuseport_add_sock" },
	{ 0x8af2351b, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x84f053a4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe3c7df4, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0x814b655d, "fput" },
	{ 0x117188bf, "inet_accept" },
	{ 0xa602bd6b, "init_net" },
	{ 0x1b3e22a8, "crypto_shash_setkey" },
	{ 0xab2b8737, "skb_pull" },
	{ 0x26269215, "inet_add_offload" },
	{ 0xad97537f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x32ff1e01, "__SCK__tp_func_sk_data_ready" },
	{ 0x19052770, "inet_add_protocol" },
	{ 0x2ec20e8a, "inet_shutdown" },
	{ 0xfa2908dc, "sk_free" },
	{ 0xcdd3decc, "sock_wake_async" },
	{ 0xe8353024, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9345a507, "inet_del_offload" },
	{ 0x9cf58b65, "skb_push" },
	{ 0xa372dfe1, "__ip_queue_xmit" },
	{ 0xb27426c0, "kmem_cache_free" },
	{ 0x20fcc6e0, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xe611726, "proc_doulongvec_minmax" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa0b52032, "rhashtable_walk_start_check" },
	{ 0xe78bbef0, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x9157a922, "inet6_ioctl" },
	{ 0x5785d8aa, "skb_copy_datagram_iter" },
	{ 0xbc02d451, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa8051b41, "idr_alloc_cyclic" },
	{ 0x273b3e76, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17f62a9a, "ip6_dst_lookup_flow" },
	{ 0x78a0d2ac, "rhashtable_free_and_destroy" },
	{ 0x68d6d7d5, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xec38b160, "rht_bucket_nested_insert" },
	{ 0xa1a220bb, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x48d77745, "sock_no_mmap" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xa600086b, "__pskb_pull_tail" },
	{ 0xc3987277, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x44a70baf, "setup_udp_tunnel_sock" },
	{ 0x195858c6, "udp_sock_create6" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd53e1c1, "sk_common_release" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xcee5718d, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xd38a3aab, "rt_read_lock" },
	{ 0x6e5901d3, "inet6_getname" },
	{ 0x9527e62, "sock_i_ino" },
	{ 0x2b9f566f, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x506f9103, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xe233b723, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8c4c244, "ipv4_mtu" },
	{ 0x198d7bae, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x84e974d7, "__skb_checksum" },
	{ 0x465a6871, "reuseport_alloc" },
	{ 0xe76885d0, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xd55fe4d2, "inet6_release" },
	{ 0x5be6acc2, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb364e11, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6db05e13, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7e6f903, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa2fc084d, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x24da4884, "rhltable_init" },
	{ 0x93954aad, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbfbbcdc, "proc_create_net_single" },
	{ 0xf746844, "skb_copy" },
	{ 0x853227fb, "skb_clone" },
	{ 0x80252d92, "inet_sk_set_state" },
	{ 0x4a5dd219, "dst_release" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0xc87a2054, "sock_release" },
	{ 0x727faec8, "inet_recv_error" },
	{ 0x312caa06, "proc_dointvec" },
	{ 0xc038657b, "seq_puts" },
	{ 0xa3687897, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x4aa7bbc2, "rhashtable_walk_next" },
	{ 0xbba881ae, "_proc_mkdir" },
	{ 0x70cd04bc, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe5194fd1, "send_sig" },
	{ 0xa4a15cbb, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x737e6538, "inet6_add_protocol" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xd2e31e45, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x2e559469, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x308a9b49, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x5e2da53d, "reuseport_detach_sock" },
	{ 0xc7b667b2, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0xa77eae31, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb09a7449, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b2c7d51, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf54fd4e3, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xe68c3940, "kmem_cache_destroy" },
	{ 0x5952defd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x15a9e718, "skb_queue_head" },
	{ 0xe876739, "proc_dointvec_minmax" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "249D094F4E5130517199CA8");
MODULE_INFO(rhelversion, "9.5");
