#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xd1904c0b, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x6e9871f0, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xd856af98, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xbd20705f, "");
SYMBOL_CRC(gss_mech_put, 0xf53081fa, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xae477577, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x8a1875c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x316e03f0, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x50cc7b2f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x687ccc2c, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9acbebb2, "xdr_buf_from_iov" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0x848d4b23, "xdr_stream_decode_opaque_auth" },
	{ 0x19c2b833, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf38b6898, "xdr_write_pages" },
	{ 0xf6e90eea, "rpc_shutdown_client" },
	{ 0xb16dd6b7, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa89204b4, "xdr_inline_decode" },
	{ 0x2c5f5cb6, "cache_create_net" },
	{ 0x8e61fbe4, "rpcauth_destroy_credcache" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x536dd35, "bpf_trace_run6" },
	{ 0x7a99178c, "rpc_net_ns" },
	{ 0x1fa3f6db, "read_bytes_from_xdr_buf" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x8e7816dc, "finish_wait" },
	{ 0x32534757, "rpc_wake_up" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd6039012, "sunrpc_cache_lookup_rcu" },
	{ 0xc23314c9, "prepare_to_wait" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x3606f583, "__put_devmap_managed_page_refs" },
	{ 0xbb274703, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x8be331a8, "bpf_trace_run2" },
	{ 0x45b2a3d2, "prepare_to_wait_event" },
	{ 0x4daf4b57, "xdr_truncate_decode" },
	{ 0xca97d526, "rpcauth_unregister" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x4d968261, "__xdr_commit_encode" },
	{ 0xc7eca62a, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd584384b, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1239b8a4, "__put_cred" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4ac4116, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x610d615f, "rpc_release_client" },
	{ 0x3407d64, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb4fd5621, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8ada2993, "svc_auth_register" },
	{ 0x1412c44, "xdr_stream_encode_opaque_auth" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2aa9bb2, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x78c79e48, "__free_pages" },
	{ 0xa7175dad, "rpc_pipe_generic_upcall" },
	{ 0xafc87c90, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x169cdb36, "cache_unregister_net" },
	{ 0x60b6b5c3, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa784ea51, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x919b9c5d, "rpcauth_init_credcache" },
	{ 0xdbb299cc, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xa6b3bbdf, "xdr_init_decode" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0xe68042f2, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5408b5d4, "rpc_sleep_on_timeout" },
	{ 0x9e6c188e, "rpc_create" },
	{ 0x55361974, "bpf_trace_run1" },
	{ 0x52f6824e, "rpc_call_sync" },
	{ 0x335b45d9, "from_kuid" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0xc1f1e76a, "rpc_queue_upcall" },
	{ 0xa0b44c4b, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcb137241, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x340029d3, "svcauth_unix_set_client" },
	{ 0x1918a120, "xdr_buf_subsegment" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x6a01fc34, "make_kgid" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0x5e8bb0da, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0xd9ffd2d2, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50b0c49d, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0x174b00a3, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x963ea192, "rpc_mkpipe_dentry" },
	{ 0xd75bd566, "rpc_mkpipe_data" },
	{ 0xe1dbb7a5, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x9cc2f550, "cache_register_net" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x19e954d9, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb397e4a, "xdr_inline_pages" },
	{ 0xdf2a122, "__folio_put" },
	{ 0x4e3a93d4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xc3257d9, "rpc_init_wait_queue" },
	{ 0x7afd034c, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xef788714, "rpc_unlink" },
	{ 0x1379bdc5, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0x832f4f19, "rpcauth_init_cred" },
	{ 0x25746c73, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe92564e7, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xc2776459, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb12fe4e, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xea40f838, "sunrpc_cache_update" },
	{ 0x93ca0d2e, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf589caa4, "rpc_destroy_wait_queue" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16ec28c9, "auth_domain_put" },
	{ 0xde7e20f4, "rpcauth_unwrap_resp_decode" },
	{ 0xb8bfbdad, "rpcauth_register" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.5");
