#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x12726c97, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x78ae7578, "_gpl");
SYMBOL_CRC(tls_get_record, 0xf752f657, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xb7716e5a, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xbf633e48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98d295a1, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb817b071, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x226141ab, "tcp_read_sock" },
	{ 0xc3423427, "bpf_trace_run4" },
	{ 0xa228c836, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2095c017, "sk_page_frag_refill" },
	{ 0xa09bfac3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa631085, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb72db376, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7b838c0c, "sk_psock_msg_verdict" },
	{ 0x536dd35, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x6cef4a52, "trace_event_printf" },
	{ 0x8e97ae65, "iov_iter_get_pages2" },
	{ 0xe75e6f4, "___pskb_trim" },
	{ 0x1e594390, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x211d7f20, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19124fa5, "add_wait_queue" },
	{ 0x3606f583, "__put_devmap_managed_page_refs" },
	{ 0xc89ddba9, "clean_acked_data_enable" },
	{ 0x1d7d7d7f, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd02c48d0, "crypto_alloc_aead" },
	{ 0xfc20a313, "__tracepoint_sk_data_ready" },
	{ 0x1127ebd6, "crypto_aead_setauthsize" },
	{ 0x3a5eb99c, "crypto_aead_decrypt" },
	{ 0xa48b49b5, "event_triggers_call" },
	{ 0x7c8a5fed, "__wake_up" },
	{ 0x5610d9cf, "sk_stream_error" },
	{ 0x38f97157, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce474a8e, "sk_msg_memcopy_from_iter" },
	{ 0x8f07e80e, "sk_error_report" },
	{ 0xfcf2edc4, "register_pernet_subsys" },
	{ 0x2c821c8b, "put_cmsg" },
	{ 0xc48e2195, "__sk_flush_backlog" },
	{ 0x8f2c16aa, "trace_event_buffer_commit" },
	{ 0x688034fd, "crypto_destroy_tfm" },
	{ 0xf3aaaf90, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd55480, "sk_psock_tls_strp_read" },
	{ 0x6d00daa, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x49ec909a, "trace_event_ignore_this_pid" },
	{ 0xb5e9464, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6674f761, "rt_write_unlock" },
	{ 0x3770defd, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x9bc0d6fc, "tcp_recv_skb" },
	{ 0x409f5109, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4b51ba9b, "perf_trace_run_bpf_submit" },
	{ 0x88b02525, "down_write" },
	{ 0xebd59f23, "crypto_req_done" },
	{ 0x53fa1d67, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fce1d20, "crypto_aead_encrypt" },
	{ 0xa8c51143, "sk_skb_reason_drop" },
	{ 0x32ff1e01, "__SCK__tp_func_sk_data_ready" },
	{ 0xfdeea01d, "bpf_trace_run5" },
	{ 0xfa2908dc, "sk_free" },
	{ 0x61c0b530, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0x20fcc6e0, "__sk_mem_reclaim" },
	{ 0xcd7752ee, "sk_stream_wait_memory" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x842df2fb, "trace_event_reg" },
	{ 0x6159fd7f, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56597509, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8cea761b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5002ca4, "sk_msg_return_zero" },
	{ 0xc29d8c9e, "mutex_lock_interruptible" },
	{ 0x5785d8aa, "skb_copy_datagram_iter" },
	{ 0x55361974, "bpf_trace_run1" },
	{ 0xc08470be, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc25324fa, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1ad07375, "sock_efree" },
	{ 0x1ecc3f2d, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x63e16bc4, "clean_acked_data_disable" },
	{ 0x401cbdcb, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3e1ad9d3, "rt_spin_unlock" },
	{ 0xa5236da5, "sk_msg_free_partial" },
	{ 0xdfa2b2e7, "down_read" },
	{ 0xf6993a2a, "skb_trim" },
	{ 0x7e540627, "mutex_trylock" },
	{ 0x3861347e, "rt_spin_lock" },
	{ 0x4805a431, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7eece886, "tcp_register_ulp" },
	{ 0xf9571f2d, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x46d144c2, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe323b017, "skb_page_frag_refill" },
	{ 0x41babea7, "trace_event_buffer_reserve" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x3572f8ca, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x19e954d9, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdf2a122, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4e3a93d4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xbfbbcdc, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x853227fb, "skb_clone" },
	{ 0x4a5dd219, "dst_release" },
	{ 0x5bbf6ad, "rt_write_lock" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0x7e9f28f0, "skb_copy_header" },
	{ 0xb9fa3d76, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xec9d409, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x59ce5e0a, "netdev_sk_get_lowest_dev" },
	{ 0x73c873d8, "sk_msg_alloc" },
	{ 0x907b9e4c, "kmalloc_trace" },
	{ 0xc33ee67b, "_copy_from_iter_nocache" },
	{ 0xe2cb84aa, "tcp_rate_check_app_limited" },
	{ 0xee50bf7a, "tcp_poll" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0xbcf24d3b, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfaddedca, "skb_to_sgvec" },
	{ 0x2e5326cd, "up_read" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb690a228, "kmalloc_caches" },
	{ 0x7b99e237, "tcp_read_done" },
	{ 0x5952defd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.5");
